#
# spec file for package subversion (Version 1.6.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2009 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%if 0%{?sles_version} == 9
%define __python %{_usr}/bin/python2.5
%endif
%if 0%{?sles_version} == 9
%define with_ruby          0
%define with_python_ctypes 0
%else
%define with_ruby          1
%define with_python_ctypes 0
%endif
%define with_intree_sqlite 1
%if 0%{?suse_version} > 1010
%define with_gnome_keyring 1
%else
%define with_gnome_keyring 0
%endif # suse_version > 1010
%if 0%{?suse_version} > 1030
%define with_kde4_kwallet  1
%else
%define with_kde4_kwallet  0
%endif # suse_version > 1030

Name:           subversion
Version:        1.6.4
Release:        8.2
# in-tree SWIG version to use for the build:
%define swig_version   1.3.36
%define sqlite_version 3.6.14.2
%if 0%{?suse_version} > 910
BuildRequires:  update-alternatives
%endif # suse_version > 910
BuildRequires:  apache2-devel db-devel gcc gcc-c++ glibc-devel libstdc++-devel zlib-devel
BuildRequires:  pkgconfig
%if 0%{?sles_version} == 9
BuildRequires:  python25 python25-devel python-xml
%else
BuildRequires:  python-devel python-xml
%endif
%if %with_python_ctypes
BuildRequires:  ctypesgen
%endif # with_python_ctypes
%if %with_ruby
BuildRequires:  ruby-devel
%endif # with_ruby
BuildRequires:  apache2-prefork
BuildRequires:  cyrus-sasl-devel
%if %with_gnome_keyring
BuildRequires:  dbus-1-devel
BuildRequires:  glib2-devel gnome-keyring-devel
%endif # with_gnome_keyring
%if %with_kde4_kwallet
BuildRequires:  dbus-1-devel
BuildRequires:  kdelibs4-core libkde4-devel libqt4-devel
%endif # with_kde4_kwallet
%ifarch ppc ppc64
# no JDK on ppc
%define with_java 0
%else
%if 0%{?sles_version}
# no JDK on SLE either
%define with_java 0
%else
%if 0%{?suse_version} >= 1100
# OpenJDK is available by default on openSUSE >= 11.0
%define with_java 1
BuildRequires:  java-1_6_0-openjdk-devel
%else
%if 0%{?suse_version} == 1030
BuildRequires:  java-1_6_0-sun-devel
%define with_java 1
%else
# Older OpenSUSE version might still have a 1.5 JDK around
BuildRequires:  java-1_5_0-sun-devel
%define with_java 1
%endif # suse_version == 1030
%endif # suse_version >= 1100
%endif # sles_version
%endif # ifarch
%if %with_java
BuildRequires:  junit
%endif #with_java
%if 0%{?suse_version} > 1030
BuildRequires:  libneon-devel
%else
BuildRequires:  neon-devel openldap2-devel
%endif # suse_version > 1030
#
%define _fwdefdir /etc/sysconfig/SuSEfirewall2.d/services
#
%define	apxs                /usr/sbin/apxs2
%define	apache_libexecdir	%(%{apxs} -q LIBEXECDIR)
%define	apache_sysconfdir	%(%{apxs} -q SYSCONFDIR)
%define apache_mmn          %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
%if %{!?site_python:1}0
%define site_python	%(%__python -c "import distutils.sysconfig; print distutils.sysconfig.get_python_lib()")
%endif
#
PreReq:         %insserv_prereq %fillup_prereq
#
Summary:        A Concurrent Versioning system similar to but better than CVS
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
License:        Subversion license, http://subversion.tigris.org/license-1.html
Group:          Development/Tools/Version Control
Url:            http://subversion.tigris.org
Source0:        http://subversion.tigris.org/downloads/subversion-%{version}.tar.bz2
Source1:        subversion.conf
Source2:        subversion.README.SuSE
Source3:        svnmerge.py
Source9:        subversion.rcsvnserve
# http://prdownloads.sourceforge.net/swig/swig-%{swig_version}.tar.bz2
Source10:       subversion.sysconfig.svnserve
Source12:       subversion.sysconfig.svnserve.remoteaccess
Source13:       subversion.xinetd.svnserve
Source42:       subversion.svngrep.sh
Source43:       subversion.svndiff.sh
Source90:       swig-%{swig_version}.tar.bz2
%if %with_intree_sqlite
# http://www.sqlite.org/sqlite-amalgamation-%{sqlite_version}.tar.gz
Source91:       sqlite-amalgamation-%{sqlite_version}.tar.bz2
%else
BuildRequires:  sqlite-devel >= %{sqlite_version}
%endif # with_intree_sqlite
Source92:       %{name}-%{version}-rpmlintrc
#
Patch11:        subversion.libtool-verbose.patch
Patch12:        subversion-fix_nonvoid_function_without_return.patch
# build fixes
Patch20:        subversion-swig-perl-install_vendor.patch
Patch23:        subversion.libtool-pie-flags.patch
Patch31:        subversion.perl.LD_RUN_PATH.patch
Patch33:        subversion.header_wrappers.patch
Patch34:        subversion.allowed-neon.patch
Patch35:        subversion.java14.patch
Patch36:        subversion-ctypes-remove_shebang.patch
Patch37:        subversion-make-check-log-to-stdout.patch
#
%if %with_ruby
%if %{!?rb_arch:1}0
%define rb_arch %(echo "%{_host_cpu}-%{_os}" | sed -e "s/i686/i586/" -e "s/armv5tel/armv4l/" -e "s/hppa2.0/hppa/")
%endif
%if %{!?rb_major_ver:1}0
%define rb_major_ver %(/usr/bin/ruby -e 'puts VERSION'|cut -f1,2 -d.)
%endif
%if %{!?site_ruby:1}0
%define site_ruby %{_usr}/%{_lib}/ruby/site_ruby/%{rb_major_ver}
%endif
%endif # with_ruby
%if %with_java
Provides:       subversion-javahl = %{version}-%{release}
%endif # with_java

%description
Subversion does the same thing cvs (CVS (Concurrent Versioning System))
but has major enhancements compared to CVS. The name of the cmdline
client is svn.



%package devel
License:        The Apache Software License
Group:          Development/Libraries/C and C++
Summary:        Development package for Subversion developers
Requires:       subversion = %{version}
# this pulls in libapr1-devel and libexpat-devel
Requires:       libapr-util1-devel

%description devel
The subversion-devel package includes the static libraries and include
files for developers interacting with the subversion package.



%package tools
License:        The Apache Software License; Subversion License, http://subversion.tigris.org/license-1.html
Group:          Development/Tools/Version Control
Summary:        Tools for Subversion

%description tools
This package contains a lot of tools for subversion server and
   repository admins: * hot-backup makes a backup of a svn repo
   without stopping

* various scripts for client (bash_completion, showchange.pl,
   svn-graph.pl, ...) and server (svn-backup-dumps.py, ...) site

* po file translation scripts

* hook scripts

* xslt example

* some scripts and code examples

An overview of the scripts can be found at:
http://subversion.tigris.org/tools_contrib.html



%package perl
License:        The Apache Software License; Subversion License, http://subversion.tigris.org/license-1.html
Group:          Development/Tools/Version Control
Summary:        Allows Perl scripts to directly use Subversion repositories.
Requires:       subversion = %{version}
Requires:       perl >= 5.8

%description perl
Provides Perl (SWIG) support for Subversion.



%package python
License:        The Apache Software License; Subversion License, http://subversion.tigris.org/license-1.html
Group:          Development/Tools/Version Control
Summary:        Allows Python scripts to directly use Subversion repositories.
Requires:       subversion = %{version}
%if 0%{?sles_version} == 9
Requires:       python25
%endif

%description python
Provides Python (SWIG) support for Subversion.



%if %with_python_ctypes

%package python-ctypes

Group:          Development/Tools/Version Control
Summary:        High-Level Python Bindings for Subversion
Requires:       subversion = %{version}

%description python-ctypes
Provides high-level Python support for Subversion, based on ctypes.
%endif # with_python_ctypes
%if %with_ruby

%package ruby
License:        The Apache Software License; Subversion License, http://subversion.tigris.org/license-1.html
Group:          Development/Tools/Version Control
Summary:        Allows Ruby scripts to directly use Subversion repositories.
Requires:       subversion = %{version}

%description ruby
Provides Ruby (SWIG) support for Subversion.



%endif # with_ruby

%package server
License:        The Apache Software License
Group:          Development/Tools/Version Control
Summary:        Apache server module for Subversion server
Requires:       subversion = %{version} apache2 %{apache_mmn}

%description server
The subversion-server package adds the Subversion server Apache module
to the Apache directories and configuration.

http://subversion.tigris.org



%if %with_kde4_kwallet

%package -n libsvn_auth_kwallet-1-0 
License:        Subversion license, http://subversion.tigris.org/license-1.html
Summary:        A Concurrent Versioning system similar to but better than CVS
Group:          Development/Tools/Version Control

%description -n libsvn_auth_kwallet-1-0
Subversion does the same thing cvs (CVS (Concurrent Versioning System))
but has major enhancements compared to CVS. The name of the cmdline
client is svn.



%endif # with_kde4_kwallet
%if %with_gnome_keyring

%package -n libsvn_auth_gnome_keyring-1-0
License:        Subversion license, http://subversion.tigris.org/license-1.html
Summary:        A Concurrent Versioning system similar to but better than CVS
Group:          Development/Tools/Version Control

%description -n libsvn_auth_gnome_keyring-1-0
Subversion does the same thing cvs (CVS (Concurrent Versioning System))
but has major enhancements compared to CVS. The name of the cmdline
client is svn.



%endif # with_gnome_keyring

%prep
%setup -q -n subversion-%{version} -b 90
#
%if %with_intree_sqlite
%__install -d ./sqlite-amalgamation
pushd ./sqlite-amalgamation
%__bzip2 -d -c "%{SOURCE91}" | %__tar xf - "sqlite-%{sqlite_version}/sqlite3.c"
%__mv "sqlite-%{sqlite_version}/sqlite3.c" .
%__rm -rf "sqlite-%{sqlite_version}"
popd #./sqlite-amalgamation
%endif # with_intree_sqlite
#
%patch11 -p0
%patch12 -p0
#
%patch20 -p1
%if 0%{?suse_version} > 930
%patch23 -p0
%endif
%patch31 -p1
%patch33 -p1
%patch34 -p0
%patch35 -p1
%patch36 -p0
%patch37 -p0
%if 0%{?sles_version} == 9
%__grep -rwl '/usr/bin/python' . | xargs %__sed -i 's|/usr/bin/python|%{_usr}/bin/python2.5|g'
%__grep -rwl '/usr/bin/env python' . | xargs %__sed -i 's|/usr/bin/env python|%{_usr}/bin/python2.5|g'
%endif

%build
# This package failed when testing with -Wl,-as-needed being default.
# So we disable it here, if you want to retest, just delete this comment and the line below.
export SUSE_ASNEEDED=0

%if 0%{?sles_version} == 9
mkdir BUILDPATH
%__ln_s "%{_usr}/bin/python2.5" "BUILDPATH/python"
export PATH="$PWD/BUILDPATH:$PATH"
export PYTHON="%{_usr}/bin/python2.5"
%endif
SWIG_ROOT=`cd ..; pwd`/intree-swig
pushd "../swig-%{swig_version}"
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	    --prefix="$SWIG_ROOT" \
	    --libdir="$SWIG_ROOT/%{_lib}" \
	    --without-tcl \
	    --without-java \
	    --without-gcj \
	    --without-guile \
	    --without-mzscheme \
	    --without-ocaml \
	    --without-pike \
	    --without-chicken \
	    --without-csharp \
	    --without-lua \
	    --without-allegrocl \
	    --without-clisp \
	    --without-r \
	    --with-swiglibdir="$SWIG_ROOT/share/swig"
%__make %{?jobs:-j%{jobs}}
%__make install
popd #swig
with_jdk=none
%if %with_java
for i in \
/usr/%{_lib}/jvm/java-openjdk \
/usr/%{_lib}/jvm/java \
/usr/%{_lib}/jvm/java-1.5.0-ibm \
/usr/%{_lib}/jvm/java-1.4.2-gcj \
/usr/%{_lib}/BEAJava2-1.4.2 \
/usr/%{_lib}/SunJava2-1.4.2 \
/usr/%{_lib}/jvm/java-1.4.2-sun \
/usr/lib/jvm/java-1.4.2-sun \
/usr/%{_lib}/jvm/java-1.5.0-ibm \
/usr/%{_lib}/jvm/java-1.5.0-sun \
/usr/lib/jvm/java-1.5.0-sun \
/usr/%{_lib}/jvm/java-1.4.2-ibm \
/usr/%{_lib}/jvm/IBMJava2-1.4.2 \
/usr/lib/BEAJava2-1.4.2 \
/usr/lib/SunJava2-1.4.2 \
/usr/lib/jvm/java-1.4.2-sun \
/usr/lib/IBMJava2-1.4 \
; do
if [ -d "$i" ] ; then
with_jdk="$i"
break
fi
done
%endif # with_java
if [ "$with_jdk" != "none" ] ; then
with_jdk="--with-jdk=$with_jdk --enable-javahl"
echo with_jdk > with_jdk
cat > with_jdk.files <<EOF-JAVA
%{_libdir}/libsvnjavahl*.so.*
%{_libdir}/libsvnjavahl*.so
%dir %{_libdir}/svn-javahl
%{_libdir}/svn-javahl/svn-javahl.jar
%{_datadir}/java/svn-javahl.jar
EOF-JAVA
else
with_jdk=""
rm -f with_jdk
echo -n '' > with_jdk.files
fi
%if !%with_java
with_jdk=""
rm -f with_jdk
echo -n '' > with_jdk.files
%endif # !with_java
cat with_jdk.files
# ### these possibly need further discussion
# swig_pydir = @libdir@/svn-python/libsvn
# swig_pydir_extra = @libdir@/svn-python/svn
sed --in-place=~ "
s@^swig_pydir = .*@swig_pydir = %{site_python}/libsvn@
s@^swig_pydir_extra = .*@swig_pydir_extra = %{site_python}/svn@
" Makefile.in
diff -u Makefile.in~ Makefile.in || true
sh -x autogen.sh
for i in subversion/bindings/javahl/native/*.cpp
do
	d=$(sed -n '/^#include "..\/include/{s@^[^/]\+\([^"]\+\).*@subversion/bindings/javahl\1@;H};${x;s@\n@ @gp}' $i)
	echo
	echo "# $i"
	if ! test -z "$d"
	then
		echo ${i%.cpp}.lo: $d
	fi
	echo
done >> build-outputs.mK
export CFLAGS="$(%{apxs} -q CFLAGS) -Wall -g"
%if 0%{?suse_version} > 930
CFLAGS="$CFLAGS -fpie"
export LDFLAGS=-pie
%endif # suse_version > 930
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
%endif # suse_version > 1000
export CXXFLAGS="$CFLAGS"
export PATH="${SWIG_ROOT}/bin:${PATH}"
%configure \
	--with-editor="vim -c 'set tw=72 et' " \
	--with-neon=%{_prefix} \
	--with-apr=%{_prefix} \
	--with-apr-util=%{_prefix} \
	--with-apxs=%{apxs} \
	--with-zlib=%{_prefix} \
	--with-berkeley-db=db.h:db.h:%{_prefix}:db \
	$with_jdk \
%if %with_java
    --with-junit="%{_usr}/share/java/junit.jar" \
%endif
	--with-jikes=no \
	--with-swig="$SWIG_ROOT" \
%if %with_intree_sqlite
	--with-sqlite="./sqlite-amalgamation/sqlite3.c" \
%else
	--with-sqlite="%{_usr}" \
%endif
%if %with_gnome_keyring
    --with-gnome-keyring \
%endif
%if %with_kde4_kwallet
    --with-kwallet \
%endif
	--disable-mod-activation \
	--disable-static
%if 0%{?suse_version} == 910
sed --in-place=~ "s,\/usr\/lib ,%{_libdir} ,g" Makefile
%endif
%__make %{?jobs:-j%jobs} SWIG_LDFLAGS=
#
if [ "$with_jdk" != "" ] ; then
with_jdk=javahl
fi
%if %with_ruby
ruby_target=swig-rb
%else
ruby_target=
%endif # with_ruby
%if %with_python_ctypes
python_ctypes_target=ctypes-python
%else
python_ctypes_target=
%endif # with_python_ctypes
%__make swig-py $python_ctypes_target swig-pl $ruby_target SWIG_LDFLAGS= $with_jdk
#
# build additional tools
TOOLS_LIBS=""
for d in subversion/libsvn_*/.libs; do
    TOOLS_LIBS="$TOOLS_LIBS -L${PWD}/$d"
done
TOOLS_LIBS="$TOOLS_LIBS $(pkg-config --libs apr-1 apr-util-1)"
TOOLS_LIBS="$TOOLS_LIBS -lsvn_subr-1 -lsvn_fs-1 -lsvn_repos-1"
TOOLS_CFLAGS=$(pkg-config --cflags apr-1 apr-util-1)
TOOLS_CFLAGS="$TOOLS_CFLAGS -I$PWD/subversion/include"
pushd tools/server-side
for f in svn-populate-node-origins-index svnauthz-validate; do
    %__cc %{optflags} ${TOOLS_CFLAGS} ${TOOLS_LIBS} -o "${f}" "${f}.c"
done
%if 0%{?sles_version} == 9
%__sed -i 's|^#![[:space:]]*/usr/bin/env[[:space:]]*python[[:space:]]|#!/usr/bin/python2.5|' *.py
%endif
popd #tools/server-side

%install
%if 0%{?sles_version} == 9
export PATH="$PWD/BUILDPATH:$PATH"
export PYTHON="%{_usr}/bin/python2.5"
%endif
if [ -f with_jdk ] ; then
with_jdk=install-javahl
else
with_jdk=
fi
%if %with_ruby
ruby_target=install-swig-rb
%else
ruby_target=
%endif # with_ruby
%if %with_python_ctypes
python_ctypes_target=install-ctypes-python
%else
python_ctypes_target=
%endif # with_python_ctypes
%__make DESTDIR="$RPM_BUILD_ROOT" install install-swig-pl install-swig-py $python_ctypes_target $ruby_target $with_jdk
%if %with_python_ctypes
# remove csvn .pyc files and recompile them because they contain the $RPM_BUILD_ROOT path:
find "%{buildroot}%{py_sitedir}/csvn/" -name "*.pyc" | xargs %__rm -f
%__python "%{py_libdir}/compileall.py" -f -d "%{py_sitedir}/csvn" "%{buildroot}/%{py_sitedir}/csvn"
%endif # with_python_ctypes
#
# double check that the essential repository access schemes have been compiled in
#
schemes=$(LD_LIBRARY_PATH="${RPM_BUILD_ROOT}%{_libdir}" "${RPM_BUILD_ROOT}%{_bindir}/svn" --version | %__grep "'" | cut -d\' -f2)
# reset vim syntax: '
test "$schemes" = "http
https
svn
file"
#
%perl_process_packlist
%find_lang %name
#
cp -Lav %{S:42} $RPM_BUILD_ROOT%{_bindir}/svngrep
cp -Lav %{S:43} $RPM_BUILD_ROOT%{_bindir}/svndiff
#
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/
cp -avL contrib/client-side/emacs/*.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/
rm -f $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/vc-svn.el
#
cp -avL %{SOURCE3} $RPM_BUILD_ROOT/usr/bin
cp -avL contrib/client-side/svn_apply_autoprops.py $RPM_BUILD_ROOT/usr/bin
#
mkdir -p $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d
cp -av %{S:1} $RPM_BUILD_ROOT/%{apache_sysconfdir}/conf.d/subversion.conf
#
cp -avL %{S:2} README.SuSE
cp -avL subversion/mod_authz_svn/INSTALL README.mod_authz_svn
cat %name.lang > files.subversion
cat with_jdk.files >> files.subversion
#
# tools
mkdir -p   $RPM_BUILD_ROOT/usr/share/subversion/
cp -a tools $RPM_BUILD_ROOT/usr/share/subversion/
#m -rf $RPM_BUILD_ROOT/usr/share/subversion/tools/cvs2svn
mkdir $RPM_BUILD_ROOT/usr/share/subversion/tools/svn_load_dirs
cp -aL contrib/client-side/svn_load_dirs/svn_load_dirs.README $RPM_BUILD_ROOT/usr/share/subversion/tools/svn_load_dirs/README
cp -aL contrib/client-side/svn_load_dirs/svn_load_dirs_property_table.example $RPM_BUILD_ROOT/usr/share/subversion/tools/svn_load_dirs/
sed 's:@SVN_BINDIR@:/usr/bin:' contrib/client-side/svn_load_dirs/svn_load_dirs.pl.in > $RPM_BUILD_ROOT/usr/share/subversion/tools/svn_load_dirs/svn_load_dirs.pl
chmod 755 $RPM_BUILD_ROOT/usr/share/subversion/tools/svn_load_dirs/svn_load_dirs.pl
find $RPM_BUILD_ROOT \( -name .svn -o -name CVS -o -name tests \) -type d -print0 | xargs -0 rm -rfv
find $RPM_BUILD_ROOT \( -name "*.a" -o -name "*.c" \) -type f -print0 | xargs -0 rm -rfv
rm -rf $RPM_BUILD_ROOT/usr/share/subversion/tools/buildbot
rm -rf $RPM_BUILD_ROOT/usr/share/subversion/tools/diff
rm -rf $RPM_BUILD_ROOT/usr/share/subversion/tools/dist
rm -rf $RPM_BUILD_ROOT/usr/share/subversion/tools/hook-scripts/verify-po.py
rm -rf $RPM_BUILD_ROOT/usr/share/subversion/tools/po
rm -rf $RPM_BUILD_ROOT/usr/share/subversion/tools/server-side/*svn_dav_log_parse*
rm -rf $RPM_BUILD_ROOT/usr/share/subversion/tools/test-scripts
#
#
#
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
cp -aL %{S:13} $RPM_BUILD_ROOT/etc/xinetd.d/svnserve
cp -aL %{S:9} $RPM_BUILD_ROOT/etc/init.d/svnserve
ln -sv /etc/init.d/svnserve $RPM_BUILD_ROOT/usr/sbin/rcsvnserve
cp -aL %{S:10} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.svnserve
mkdir -p $RPM_BUILD_ROOT/%{_fwdefdir}
install -m 644 %{S:12} $RPM_BUILD_ROOT/%{_fwdefdir}/svnserve
#useless libtool stuff
rm -f %{buildroot}%{_libdir}/*.la
pushd tools/server-side
%__install -m0755 \
    svn-populate-node-origins-index \
    svnauthz-validate \
    "%{buildroot}%{_bindir}/"
# delete or the binaries will also be installed under /usr/share
%__rm "%{buildroot}%{_datadir}/subversion/tools/server-side"/{svn-populate-node-origins-index,svnauthz-validate}
popd #tools/server-side
if [ "$with_jdk" != "" ] ; then
    install -d -m 0755 $RPM_BUILD_ROOT/%{_datadir}/java
    ln -sv %{_libdir}/svn-javahl/svn-javahl.jar $RPM_BUILD_ROOT/%{_datadir}/java/svn-javahl.jar
fi

%check
# Don't run regression tests on Factory, they take too long to complete.
# This check needs to be bumped with every release:
%if 0%{?suse_version} <= 1110 
%if 0%{?sles_version} == 9
export PATH="$PWD/BUILDPATH:$PATH"
%endif # sles_version == 9
# During "make check", auth-test loads DSOs at runtime and can't find
# them if we don't set up LD_LIBRARY_PATH as below.
export LD_LIBRARY_PATH="$PWD/subversion/libsvn_auth_kwallet/.libs:$PWD/subversion/libsvn_auth_gnome_keyring/.libs:$LD_LIBRARY_PATH"
# run test over ra_local (file://)
for fstype in fsfs bdb; do
%__make check LOG_TO_STDOUT=true CLEANUP=true FS_TYPE=$fstype
done
# run tests over ra_svn (svn://)
$PWD/subversion/svnserve/svnserve --listen-host 127.0.0.1 --pid-file $PWD/svnserve.pid -d -r $PWD/subversion/tests/cmdline
for fstype in fsfs bdb; do
%__make check LOG_TO_STDOUT=true CLEANUP=true FS_TYPE=$fstype BASE_URL=svn://127.0.0.1
done
kill `cat $PWD/svnserve.pid`
%if %with_java
%__make check-javahl
%endif # with_java
%__make check-swig-pl
%__make check-swig-py
%if %with_ruby
%__make check-swig-rb
%endif # with_ruby
%endif # suse_version <= 1110

%clean
%__rm -rf "%{buildroot}"

%preun
%stop_on_removal svnserve

%post
%{fillup_and_insserv -n svnserve svnserve}
/sbin/ldconfig

%postun
%restart_on_update svnserve
%{insserv_cleanup}
/sbin/ldconfig

%post -n subversion-python -p /sbin/ldconfig

%postun -n subversion-python -p /sbin/ldconfig

%post -n subversion-perl -p /sbin/ldconfig

%postun -n subversion-perl -p /sbin/ldconfig
%if %with_ruby

%post -n subversion-ruby -p /sbin/ldconfig

%postun -n subversion-ruby -p /sbin/ldconfig
%endif # with_ruby
%if %with_gnome_keyring

%post -n libsvn_auth_gnome_keyring-1-0 -p /sbin/ldconfig

%postun -n libsvn_auth_gnome_keyring-1-0 -p /sbin/ldconfig
%endif # with_gnome_keyring
%if %with_kde4_kwallet

%post -n libsvn_auth_kwallet-1-0 -p /sbin/ldconfig

%postun -n libsvn_auth_kwallet-1-0 -p /sbin/ldconfig
%endif # with_kde4_kwallet

%files -f files.subversion
%defattr(-,root,root)
%doc README.SuSE BUGS CHANGES COPYING subversion/LICENSE README.mod_authz_svn
#
%config(noreplace) /etc/xinetd.d/svnserve
%attr(754,root,root) /etc/init.d/svnserve
%attr(754,root,root) /usr/sbin/rcsvnserve
/var/adm/fillup-templates/sysconfig.svnserve
%config %{_fwdefdir}/*
#
%attr(755,root,root) /usr/bin/svn
%attr(755,root,root) /usr/bin/svnadmin
%attr(755,root,root) /usr/bin/svndumpfilter
%attr(755,root,root) /usr/bin/svnlook
%attr(755,root,root) /usr/bin/svnserve
%attr(755,root,root) /usr/bin/svnversion
%attr(755,root,root) /usr/bin/svndiff
%attr(755,root,root) /usr/bin/svngrep
%attr(755,root,root) /usr/bin/svnsync
%{_libdir}/libsvn_client*.so.*
%{_libdir}/libsvn_delta*.so.*
%{_libdir}/libsvn_diff*.so.*
%{_libdir}/libsvn_fs*.so.*
%{_libdir}/libsvn_ra*.so.*
%{_libdir}/libsvn_repos*.so.*
%{_libdir}/libsvn_subr*.so.*
%{_libdir}/libsvn_wc*.so.*
%{_mandir}/man?/svn*
#
/usr/share/emacs

%files perl
%defattr(-,root,root)
%doc %{_mandir}/man?/SVN::*
%{_libdir}/libsvn_swig_perl-1.so.*
%perl_vendorarch/SVN
%perl_vendorarch/auto/SVN
/var/adm/perl-modules/subversion

%files python
%defattr(-,root,root)
%dir %{site_python}
%dir %{site_python}/svn
%dir %{site_python}/libsvn
%{_libdir}/libsvn_swig_py-1.so.*
%{site_python}/libsvn/*
%{site_python}/svn/*
%if %with_python_ctypes

%files python-ctypes
%defattr(-,root,root)
%doc subversion/bindings/ctypes-python/examples
%dir %{site_python}
%{site_python}/csvn
%if %suse_version >= 1020
%{site_python}/svn_ctypes_python_bindings-*-py%{py_ver}.egg-info
%endif # suse_version >= 1020
%endif # with_python_ctypes
%if %with_ruby

%files ruby
%defattr(-,root,root)
%dir %{site_ruby}
%{site_ruby}/svn
%{site_ruby}/%{rb_arch}/svn
%{_libdir}/libsvn_swig_ruby-1.so.*
%endif # with_ruby

%files devel
%defattr(-,root,root)
%dir %{_includedir}/subversion-1
%{_libdir}/libsvn_*.so
%{_includedir}/subversion-1/*

%files tools
%defattr(-,root,root)
%dir /usr/share/subversion
/usr/share/subversion/tools
%attr(755,root,root) %{_bindir}/svnmerge.py
%attr(755,root,root) %{_bindir}/svn_apply_autoprops.py
%{_bindir}/svn-populate-node-origins-index
%{_bindir}/svnauthz-validate

%files server
%defattr(-,root,root)
%dir %{apache_sysconfdir}/conf.d
%config (noreplace) %{apache_sysconfdir}/conf.d/subversion.conf
%dir %{apache_libexecdir}
%{apache_libexecdir}/mod_dav_svn.*
%{apache_libexecdir}/mod_authz_svn.*
%if %with_gnome_keyring

%files -n libsvn_auth_gnome_keyring-1-0
%defattr(-,root,root)
%{_libdir}/libsvn_auth_gnome_keyring-1.so.0
%{_libdir}/libsvn_auth_gnome_keyring-1.so.0.*
%endif # with_gnome_keyring
%if %with_kde4_kwallet

%files -n libsvn_auth_kwallet-1-0
%defattr(-,root,root)
%{_libdir}/libsvn_auth_kwallet-1.so.0
%{_libdir}/libsvn_auth_kwallet-1.so.0.*
%endif # with_kde4_kwallet

%changelog
* Fri Aug  7 2009 stsp@elego.de
- update to 1.6.4.
  * Security fix [CVE-2009-2411]
* Fri Jul 24 2009 dmueller@suse.de
- fix typo in dav svn default configuration (bnc#517143)
* Tue Jul 21 2009 stsp@elego.de
- Don't run regression tests on OpenSUSE Factory. It takes too
  long which causes problems for the build service because the
  subversion package is being rebuilt often.
* Sat Jul 18 2009 stsp@elego.de
- To help us figure out why the test suite sometimes hangs on the
  build service, add a patch which allows logging to stdout
  and stderr, instead of logging to tests.log, during make check.
* Mon Jul  6 2009 stsp@elego.de
- Run regression tests over both filesystem backends (FSFS and BDB),
  and over svn:// as well as file://
* Mon Jul  6 2009 stsp@elego.de
- Now that the project repositories have been configured correctly
  on the build service, OpenSUSE 10.3 should also have a JDK.
* Fri Jul  3 2009 stsp@elego.de
- Make python-xml an explicit build requirement since the regression
  tests need it to run.
* Fri Jul  3 2009 stsp@elego.de
- Make regression tests clean up temporary test data (repositories,
  working copies, etc.) to avoid build failures due to running out
  of disk space. This trades time against space -- the build will
  take longer.
* Fri Jul  3 2009 stsp@elego.de
- The build service keeps complaining that "nothing provides
  java-1_6_0-sun-devel". Attempt to make it happy by only building
  Java bindings on SUSE versions which have OpenJDK.
* Fri Jul  3 2009 stsp@elego.de
- write tests.log to stdout if make check fails to aid
  debugging of test failures on the build service
* Fri Jul  3 2009 stsp@elego.de
- run all regression tests (ra_local only for now)
- filter a false positive rpmlint warning
- update to 1.6.3
  User-visible changes:
  * fix segfault in WC->URL copy (r37646, -56)
  * let 'svnadmin load' tolerate mergeinfo with "\r\n" (r37768)
  * make svnsync normalize svn:* props to LF line endings (issue #3404)
  * better integration with external merge tools (r36178)
  * return a friendly error message for 'svn diff' (r37735)
  * update dsvn.el for 1.6 (r37774)
  * don't allow setting of props on out-of-date dirs under neon (r37745)
  * improve BASH completion (r36450, -52, -70, -79, -538)
  * improve some DAV-based error messages (issue #3414)
  * always show tree conflicts with 'svn st' (issue #3382)
  * improve correctness of 'svn mergeinfo' (issue #3126)
  * decrease the amount of memory needed for large commits (r37894, -6)
  * work around an APR buffer overflow seen by svnsync (r37622)
  * ra_svn clients now use TCP keep-alives if available (issue #3347)
  * improve 'svn merge' perf by reducing server contact (r37491, -593, -618)
  * stop propagating self-referential mergeinfo in reintegrate merges (r37931)
  * fix NLS detection where -liconv is required for bindtextdomain() (r37827)
  * don't delete unversioned files with 'rm --keel-local' (r38015, -17, -19)
  * bump apr and apr-util versions included in deps to latest. (r37941)
  * avoid temp file name collisions with ra_serf, ra_neon (r37972)
  * fixed: potential segfault with noop file merges (r37779)
  * fixed: incorrect output with 'svn blame -g' (r37719, -23, -41)
  * fixed: bindings don't load FS libs when module search enabled (issue #3413)
  * fixed: potential abort() in the working copy library (r37857)
  * fixed: memory leak in hash reading functions (r37868, -979)
  Developer-visible changes:
  * improve memory usage in file-to-stringbuf APIs (r37907)
  * reduce memory usage for temp string manipulation (r38010)
* Mon Jun 29 2009 dmueller@suse.de
- fix package names to be able to remove the rpmlintrc
* Fri Jun 19 2009 coolo@novell.com
- disable as-needed for this package as it fails to build with it
* Mon Jun 15 2009 poeml@suse.de
- make Subversion's configure script detect Berkeley DB again. With
  apu-1-config 1.3.7, the --libs output doesn't return -ldb any
  longer, and Subversion was relying on this. See this long thread:
  http://mail-archives.apache.org/mod_mbox/apr-dev/200906.mbox/%%3c1244533468.25532.110.camel@shrek.rexursive.com%%3e
  Building with --with-berkeley-db makes it work again.
* Tue Jun  9 2009 dmueller@suse.de
- remove ctypesgen package - not in factory yet
* Fri Jun  5 2009 wr@opensuse.org
- update svnmerge.py to the latest version
  * not using popen2 anymore which was deprecated
* Wed Jun  3 2009 dmueller@suse.de
- merge into Factory
* Tue May 26 2009 pascal.bleser@opensuse.org
- update to sqlite-amalgamation 3.6.14.2
* Fri May 15 2009 pascal.bleser@opensuse.org
- enable in-tree sqlite-amalgamation again, as the required sqlite3
  package screws up zypper (bnc#504251)
* Mon May 11 2009 pascal.bleser@opensuse.org
- bump in-tree sqlite-amalgamation to the recommended version for
  Subversion 1.6.2: 3.6.13
- update to 1.6.2:
  * vastly improve memory usage with 'svn merge' (issue #3393)
  * make default depth for merge 'infinity' (r37156)
  * make 'status --quiet' show tree conflicts (issue #3396)
  * allow '--set-depth infinity' to expand shallow subtrees
    (r37169)
  * return an error if attempting to reintegrate from/to the repo
    root (r37385)
  * don't store bogus mergeinfo for '--ignore-ancestry', foreign
    merges (r37333)
  * don't allow merge of difference between two repos (r37519)
  * avoid potential segfault with subtree mergeinfo (r36613)
  * recommend sqlite 3.6.13 (r37245)
  * avoid unnecessary server query for implicit mergeinfo
    (r36509)
  * avoid unnecessary server query during reverse merges (r36527)
  * set depth=infinity on 'svn add' items with restricted depth
    (r37607)
  * fixed: commit log message template missing paths (issue #3399)
  * fixed: segfault on merge with servers < 1.6 (r37363)
  * fixed: repeat merge failures with non-inheritable mergeinfo
    (issue #3392)
  * fixed: another memory leak when performing mergeinfo-aware
    merges (r37398)
  * fixed: incorrect mergeinfo on children of shallow merges
    (issue #3407)
  * fixed: pool lifetime issues in the BDB backend (r37137)
* Thu May  7 2009 pascal.bleser@opensuse.org
- build and install the following binaries from tools/server-side
  into subversion-tools:
  * svn-populate-node-origins-index
  * svnauthz-validate
- add support for building Subversion 1.6.x on SLE 9, by using the
  package "python25" and patching all python scripts accordingly,
  to use #!/usr/bin/python2.5 instead of /usr/bin/python or
  /usr/bin/env python
* Wed Apr 15 2009 dmueller@suse.de
- update to 1.6.1
  User-visible changes:
  * recommend Neon 0.28.4. (r36388)
  * improve performance of 'svn merge --ignore-ancestry' (r36256)
  * improve 'svn merge' performance with subtree mergeinfo (r36444)
  * correctly proxy LOCK and UNLOCK requests (r36159)
  * prevent a crash when updating old working copies (r36751)
  * don't let svnmerge.py delete a nonexistent property (r36086, -767, -769)
  * don't fail when upgrading pre-1.2 repositories (r36851, -7)
  * allow escaping of separator characters in autoprops (r36763, -84)
  * improve tempfile creation robustness on Windows (r36442, -3)
  * fix change-svn-wc-format.py for 1.6.x working copies (r36874, -5)
  * improve configure's detection of Berkeley DB (r36741, -2)
  * don't allow foreign merges to add foreign mergeinfo (issue #3383)
  * improve performance of 'svn update' on large files (r36389, et. al.)
  * fixed: error leak and potential crash (r36860)
  * fixed: parent directory handling on Windows (r36049, -50, -51, -131)
  * fixed: unintialized memory errors (r36252, -3)
  * fixed: potential working copy corruption (r36714)
  * fixed: working copy upgrade error (r36302)
  * fixed: pointer dereference error (r36783)
  * fixed: error diff'ing large data with ignored whitespace (r36816)
  * fixed: potential hang in ra_serf (r36913)
  * fixed: problem with merge and non-inheritable mergeinfo (r36879)
  * fixed: repeated merging of conflicted properties fails (issue #3250)
  * fixed: excluding an absent directory segfaults (issue #3391)
  Developer-visible changes:
  * ensure svn_subst_translate_cstring2() properly flushes data (r36747)
  * make serf report a base checksum to apply_textdelta (r36890)
  * syntax updates for strict C89 compilers (r36799)
  * update RPM scripts for RHEL4 (r36834)
  * allow tests to be run with Python 2.6.1 on Windows (r36149, -50, -51, -56)
  * allow building JavaHL with Visual Studio 2008 (r36954)
  * stop setting default translation domain in JavaHL (r36955)
  * fixed: warning with Python 2.6 and ctypes bindings (r36559)
  * fixed: undefined references to svn_fs_path_change2_create() (r36823)
* Mon Mar 30 2009 pascal.bleser@opensuse.org
- fix build on SLE10
- don't build on SLE9, its python is too old (requires >= 2.4)
- build gnome-keyring and kde4 kwallet authentication store plugins
  as subpackages
- added explicit BuildRequires for cyrus-sasl-devel
- use an in-tree sqlite 3.6.11 as recommended instead of the
  system-wide version
- removed the %%changelog from the spec file, was very long, and we
  have a .changes file anyway
- rpmlint happiness:
  * added a patch to remove a pointless shebang in the python
    bindings
  * removed dot at end of Summary in subpackages
- removed the License: tag in each subpackage
* Mon Mar 23 2009 pascal.bleser@opensuse.org
- build the new ctypes python bindings
- upgraded in-tree SWIG to the recommended version for building
  SVN: 1.3.36 (required to build the Ruby bindings)
- 1.6.0 in a separate repository for now
- update to 1.6.0:
  * the working copy format has been upgraded: this means that 1.5
    and older Subversion clients will not be able to work with
    working copies produced by Subversion 1.6; working copies are
    upgraded automatically
  * the repository filesystem formats have changed, meaning that
    1.5 and older versions of Subversion tools that normally access
    a repository directly (e.g. svnserve, mod_dav_svn, svnadmin)
    won't be able to read a repository created by Subversion 1.6;
    but, repositories are not upgraded automatically (use
    "svnadmin upgrade")
  * improved output of "svn proplist --verbose"
  * "svn propget" now accepts the --verbose option
  * changed output of "svn status": now contains the additional
    seventh column which informs whether the item is the victim of a
    tree conflict; an  additional line with more detailed description
    of a tree conflict is displayed after each item remaining in tree
    conflict
  * subversion prompts before storing passwords in plaintext form
  * passwords can be stored in KWallet (KDE 4) and GNOME Keyring
  * SSL client certificate passphrases can be stored in KWallet,
    GNOME Keyring in encrypted form or in plaintext form
  * repository root relative URLs (client)
  * improvements to "svn:externals": support for files and usual shell
    quoting rules in external definitions
  * detection of tree conflicts: Subversion 1.6 recognizes a new kind
    of conflict, known as a "tree conflict"; such conflicts manifest
    at the level of directory structure, rather than file content
  * several improvements to both the Berkeley DB and FSFS backends,
    designed to improve storage space, and can result in drastically
    smaller repositories:
    + sharing multiple common representations
    + FSFS repositories: packing completed shards
    + FSFS repositories: support for Memcached
    + BDB repositories: reverse deltas
  * ctypes Python bindings
  * improved interactive conflict resolution
  * sparse directory exclusion
  * logging support for svnserve
  * new public "historical" HTTP URI syntax for mod_dav_svn
  * the "svn log" command can now take multiple revision arguments in
    one invocation
  * --trust-server-cert option: added to svn and svnsync, so that
    non-interactive operations can work with self-signed certificates
    not backed by a known trust authority
* Mon Mar  9 2009 pascal.bleser@opensuse.org
- enable build of ruby bindings by using an in-tree SWIG 1.3.33
- update to 1.5.6:
  * allow colons within mergeinfo path names (r35040)
  * make it impossible to add .svn to wc via 'svn add --parents'
    (r35143, -5)
  * copy properties of added but uncommitted files (r32448)
  * improve performance of log operation on < 1.5 servers (r35566)
  * allow commits over Neon of files >2GB (POSIX only) (r34919, -24)
  * allow serf from behind MS ISA proxy servers (r35981)
  * prevent svnmerge-migrate-history.py from committing bogus
    mergeinfo (r35516)
* Wed Feb 18 2009 crrodriguez@suse.de
- all apache modules must require %%{apache_mmn}
* Mon Jan 12 2009 olh@suse.de
- try any java for javahl bindings, using /usr/lib*/jvm/java
* Mon Jan 12 2009 olh@suse.de
- update to 1.5.5 final
  User-visible changes:
  * allow prop commits on dirs with modified children (r34487, -92, -94)
  * make Cyrus auth implementation always prefer EXTERNAL to ANONYMOUS (r33866)
  * do not create mergeinfo for wc-wc moves or copies (r34184, -585)
  * do not autoupgrade old BDB filesystems to 1.5 or 1.4 format (r34653, -6)
  * return mergeinfo to prior state during reverse merges (r30257, r33024, -6)
  * remove mergeinfo deleted by merge (issue #3323)
  * make proxy slaves pass through txn GET and PROPFIND requests (issue #3275)
  * merge can now use targets with inconsistent newlines (issue #3262)
  * don't allow empty-string changelists (issue #3344)
  * remove false positive ra_neon mergeinfo errors (r34822)
  * improve performance of 'svn merge --reintegrate' (r34091, -4, and others)
  * fixed: foreign merges keep UUID of foreign repository (r34050, -1, -3)
  * fixed: properly encode diff headers used in conflict resolution (r34171)
  * fixed: segfault in 'svn cp --parents' (r31311, -4)
  * fixed: mergeinfo for '...' maps to empty revision range (issue #3312)
  * fixed: segfault in BDB backend node-origins cache (r34506)
  * fixed: broken merge if target's history includes resurrections (r34385, -93)
  * fixed: invalid mergeinfo created on a subtree during merge (r34560, -2)
  Developer-visible changes:
  * fixed: svn_repos_get_logs() chokes on some revision arguments (r33873, -4)
  Version 1.5.4
  User-visible changes:
  * Properly handle explicit mergeinfo added in merge source (r32968, -75)
  * fixed: merging of paths containing spaces (r33641, -44)
  * fixed: regression in mergeinfo-aware merges against 1.5.3 (r33693, -704)
  Version 1.5.3
  User-visible changes:
  * Allow switch to continue after deleting locally modified dirs (issue #2505)
  * Update bash_completion to be compatible with 1.5 (r32900, -11, -12)
  * Reuse network sessions during 'svn merge', improving performance (r33476)
  * Greatly improve merge performance (r29969, r32463, r33013, -016, -022, -112)
  * fixed: merging files with spaces in name (r33109, -121, -369)
  * fixed: incorrect relative externals expansion (r33109, -121, -369)
  * fixed: 'svn mv' hangs and consumes infinite memory (r33201, -12)
  * fixed: correctness regression in 'svn log -g' (issue #3285)
  * fixed: current early bailout of 'svn log -g' (r32977)
  Developer-visible changes:
  * Translate messages in svn_fs_util.h (r32771)
  * fixed: bindings test for Perl 5.10 (r31546)
  * fixed: building bindings and C API tests with VS2008 (r32012)
  * fixed: svn_ra_replay API over ra_serf (r33173)
* Fri Dec 19 2008 olh@suse.de
- default java version changed without notice, use java-openjdk
  first if available (bnc#457493)
- configure option --enable-swig-bindings changed to --with-swig
* Tue Dec 16 2008 olh@suse.de
- add .hg dir to excludepath in svngrep
* Mon Nov 10 2008 olh@suse.de
- add .git dir to excludepath in svngrep
* Wed Oct 15 2008 olh@suse.de
- fix incorrect path to svn binary in svn_load_dirs.pl (bnc#408952)
* Mon Sep  1 2008 olh@suse.de
- build swig bindings with empty SWIG_LDFLAGS= because it defaults
  to LDFLAGS which contains -pie
* Mon Sep  1 2008 olh@suse.de
- update to 1.5.2 final
  User-visible changes:
  * Set correct permissions on created fsfs shards (r32355, -7)
  * Pass client capabilities to start-commit hook (issue #3255)
  * Disallow creating nested repositories (issue #3269)
  * Support Neon 0.28.3
  * Properly canonicalize URIs with an empty hostname (issue #2116)
  * Improved merge performance for superfluous ranges (r32643)
  * Better error message for 'Malformed URL for repository' (r31867, r32365)
  * Improved svn:externals parsing (r32672, -673, -674, -739)
  * fixed: improper ordering in 'svnlook diff' output (r32019)
  * fixed: mod_dav_svn memory leak with 'SVNPathAuthz short_circuit' (r32360)
  * fixed: duplicate svn:externals targets fail on co/up (issue #3246)
  * fixed: 'svn merge --depth' inconsistencies (issue #2825)
  * fixed: ra_serf test failures (1.5.x-ra_serf-backports branch)
  * fixed: memory leak and crashes in FS (r32545, -58, -82)
  * fixed: core dump with relative externals (issue #3237)
  * fixed: 'svn copy' working copy corruption (r32467, -70)
  * fixed: perl bindings errors in non-English locale (issue #3258)
  * fixed: 'svn merge' incorrectly reverses previous merges (r32494, -522, -523)
  * fixed: 'svn merge' errors with subtree mergeinfo (issue #3067)
  Developer-visible changes:
  * make libsvn_ra_neon initialization thread-safe (r32497, r32510)
  * respect LDFLAGS in Swig bindings (r32416, r32421, r32442)
  * fixed: test failures in non-English locales (r32491)
* Tue Jul 29 2008 olh@suse.de
- update to 1.5.1 final
  User-visible changes:
  * mergeinfo on switched subtrees should elide in repos (issue #3188)
  * Add support for --config-dir to svnmerge.py (r31727)
  * improve performance of bdb post-commit deltification (r31820, -59)
  * return faster when there is nothing to be merged (r30748)
  * don't commit an add of a missing item (issue #3198)
  * don't create unneeded self-referential mergeinfo (issue #3157)
  * support 'http-library' (if --enable-runtime-module-search) (r31425, -722)
  * support Berkeley DB 4.7 (r32017, -29)
  * fixed: make serf usable with root-level authz (r31464)
  * fixed: 'svndumpfilter' partial-path matching bug (r31833)
  * fixed: crash on invalid dates in 'log' and 'blame' (issue #2721)
  * fixed: 'svn status --xml' outputting invalid XML (issue #2887)
  * fixed: 'svn merge' prints incorrect range (r30746, -47)
  * fixed: using neon/serf, can not replace branch (issue #2939)
  * fixed: 'file not found' error when merging to a broken symlink (r31159, -79)
  * fixed: using serf, crash or endless loop fetching authn data (r31619)
  * fixed: ArrayIndexOutOfBoundsException in JavaHL bindings (r31719, -806)
  * fixed: authn password lookup used wrong username (issue #2242)
  * fixed: unbounded memory usage in wc-to-wc copy and move (r31868)
  * fixed: subtree merges broken for non-intersecting ranges (issue #3199)
  * fixed: invalid XML from 'svn log --xml' against pre-1.2 servers (r31875)
  * fixed: 'svnlook diff' ignores --diff-copy-from for properties (issue #3248)
  * fixed: 'svnlook diff' doesn't report that binary files differ (issue #3249)
  * fixed: bogus results from commits to subtrees added by merge (issue #3240)
  * fixed: non-existent subtree in destination breaks the merge (issue #3067)
  * fixed: serf merge bug too complex to describe here (r32056)
  * fixed: 'svn log -g' correctness and speed (issue #3220, issue #3235)
  * fixed: merge chokes on renamed subtrees (issue #3174)
  Developer-visible changes:
  * export svn_path_is_url() to the bindings (r31603)
  * don't clobber LDFLAGS in configure when given '--with-zlib' (r31825)
  * make libsvn_ra depend on libsvn_delta unconditionally (r31852)
  * correctly set the peg revision for copy in JavaHL (r31994)
  * 'svn mergeinfo' handles wc paths (r31023, -873, -874, -929, -930, -038)
  * fixed: crash when when svn_ra_open3() is passed a bogus URL (r31223)
  * fixed: JavaHL compilation on Windows (r31737)
  * fixed: crash in calling apr_pstrcat (affects TortoiseSVN) (r32080)
* Fri Jul 11 2008 poeml@suse.de
- build fixes to get the Factory package building in the Build
  Service again:
  * change BuildRequires java2-devel-packages to java-devel, which
    seems to be more universally defined
  * don't build javahl bindings on 10.1/SLE10 or older -- build
    doesn't work with that currently.
  * fix build on SLES9 -- by not applying
    subversion.libtool-pie-flags.patch there and
    fixing LDFLAGS in the Makefile to use the correct libdir
  * add workaround for (bnc#395110) -- build error on 10.1/sle10 on
    x86_64: add update-alternatives to BuildRequires (but not on
    sles9 where the package didn't exist)
* Thu Jun 19 2008 olh@suse.de
- add svn_apply_autoprops.py to subversion-tools (bnc#401638)
* Thu Jun 19 2008 olh@suse.de
- update to 1.5.0 final
  User-visible changes:
  * many, compared to 1.4.4
  Developer-visible changes:
  * many, compared to 1.4.4
* Wed Jun 11 2008 olh@suse.de
- update to rev 31701, 1.5.0-rc11
  translation update, fix API violation in diff command
* Mon Jun  9 2008 olh@suse.de
- update to rev 31654, 1.5.0-rc10
  translation update, fix possible segfault in start-commit-hook
* Wed Jun  4 2008 olh@suse.de
- update to rev 31577, 1.5.0-rc9
  translation update, two small bugfixes
* Tue Jun  3 2008 poeml@suse.de
- fix changelog, which wasn't in chronological order anymore, after
  new upstream changes from Factory, by setting my changelog entry
  (from the 28th) to the 25th of May
* Thu May 29 2008 olh@suse.de
- update to rev 31507, 1.5.0-rc8
  translation update, handle NULL pointers in ra_loader
* Mon May 26 2008 olh@suse.de
- update to rev 31448, 1.5.0-rc7
  fix API for bindings, translation update
* Sun May 25 2008 poeml@suse.de
- build the Build Service package from openSUSE:Factory again --
  thereby updating to subversion 1.5 release candidate (r31325)
  * ** installations that have been running earlier pre-1.5 ***
  * ** versions may need to dump/reload. This can still be  ***
  * ** done after upgrading to 1.5.                         ***
- build fixes to get the Factory package building in the Build
  Service again:
  * change BuildRequires java2-devel-packages to java-devel, which
    seems to be more universally defined
  * don't build javahl bindings on 10.1/SLE10 or older -- build
    doesn't work with that currently.
  * fix build on SLES9 -- by not applying
    subversion.libtool-pie-flags.patch there and
    fixing LDFLAGS in the Makefile to use the correct libdir
  * add workaround for bug 395110 -- build error on 10.1/sle10 on
    x86_64: add update-alternatives to BuildRequires (but not on
    sles9 where the package didn't exist)
* Wed May 21 2008 olh@suse.de
- update to rev 31325
  various minor bugfixes, translation updates
* Fri May 16 2008 olh@suse.de
- update to rev 31218
  various minor bugfixes
* Sun May  4 2008 olh@suse.de
- update to rev 31014, 1.5.0-rc5
  various bugfixes
* Thu Apr 24 2008 dmueller@suse.de
- fix headers to compile with -pedantic again
* Tue Apr 22 2008 olh@suse.de
- update to rev 30750, 1.5.0-rc3
* Thu Mar 20 2008 olh@suse.de
- update to rev 29972
  various bugfixes
* Fri Mar 14 2008 olh@suse.de
- update to rev 29912, 1.5.0-beta1
* Fri Mar  7 2008 olh@suse.de
- update to rev 29766
  various bugfixes
* Thu Feb 28 2008 olh@suse.de
- update to rev 29612
  various bugfixes
* Mon Feb 25 2008 olh@suse.de
- update to rev 29581
  various bugfixes, alpha1
* Wed Feb 13 2008 olh@suse.de
- update to rev 29310
  various bugfixes
- tolerate neon 0.28 and 0.29
* Fri Feb  8 2008 olh@suse.de
- update to rev 29237
  various bugfixes
* Fri Feb  1 2008 olh@suse.de
- update to rev 29133
  1.5.x branched
* Sat Jan 26 2008 olh@suse.de
- update to rev 29054
  some of our patches merged
* Tue Jan 22 2008 schwab@suse.de
- Don't install obsolete vc-svn.
* Mon Jan 21 2008 ro@suse.de
- fix wrong requires for python2.2
* Sat Jan 19 2008 olh@suse.de
- update to rev 28963
  various bugfixes
* Wed Jan  9 2008 olh@suse.de
- update to rev 28821
  various bugfixes
* Thu Dec 13 2007 mrueckert@suse.de
- remove openldap2-devel from the buildrequires:
  subversion itself does not use openldap. the missing dependency
  in libapr-util1 was added there.
* Tue Nov 27 2007 crrodriguez@suse.de
- neon-config should be called with --libs instead of --la-file
  in order to fix build with recent neon package
- fix -devel package dependencies
* Mon Nov 26 2007 olh@suse.de
- update to rev 28023
  various bugfixes
  handle empty error_stream in svn_cmdline_init() (343706)
* Fri Nov 23 2007 olh@suse.de
- update to rev 27987
  various bugfixes
* Sat Nov 17 2007 olh@suse.de
- update to rev 27900
  various bugfixes
* Sat Nov 10 2007 olh@suse.de
- update to rev 27753
  various bugfixes
* Mon Nov  5 2007 olh@suse.de
- update to rev 27593
  allow upcoming neon versions
  fix return value in svn_swig_pl_info_receiver()
* Mon Oct 29 2007 olh@suse.de
- update to rev 27452
  reenable javahl
* Thu Oct 25 2007 dmueller@suse.de
- fix subversion headers to be compileable with -pedantic
* Mon Oct 15 2007 olh@suse.de
- update to 1.5.x branch, to allow build with new neon
  build also with sqlite-devel
  disable javahl until build is fixed
* Mon Oct 15 2007 dmueller@suse.de
- update to 1.4.5:
  * Security fix (for w32 only)
  * no other changelog available
- fix build
* Fri Oct 12 2007 olh@suse.de
- allow neon 0.27
* Thu Jun 21 2007 olh@suse.de
- add /etc/xinetd.d/svnserve (271726)
* Wed Jun 20 2007 olh@suse.de
- remove X-UnitedLinux-Should-Stop from runlevel script
  change Required-Start to Should-Start
* Wed Jun 20 2007 olh@suse.de
- Version 1.4.4
  User-visible changes:
  - Client:
  * fixed: 'svn up' of replaced file without history fails (issue #2618)
  * fixed: 'svn export' succeeds on non-existent URL (r23191, -3, -5, -200)
  * fixed: 'svn merge' shows 'G' notifications for unchanged files (r24483)
  * fixed: svnsync cannot sync unreadable modified dir copies (issue #2705)
  * fixed: ra_dav litters empty transactions if initial setup fails (r23594)
  * fixed: inconsistent expansion of revision number keywords (issue #1743)
  * fixed: security flaw in 'svn prop*' commands [CVE-2007-2448]
    (r25095, -099, -104, -105, -10)
  - Server:
  * fixed: rare dirprop dataloss leading to BDB repo corruption (issue #2751)
  * fixed: race condition when changing FSFS revprops (r23439, r23440)
  * fixed: 'svnadmin load' invents svn:date if none exists (issue #2729)
  * fixed: svnserve can't commit locked file if root unwritable (issue #2700)
  * fixed: 'svnadmin dump' output invalid for non-ASCII paths (issue #2641)
  - Client and Server:
  * fixed: hang during character translation (r23491, r23492)
  * translation updates for Simplified Chinese, Japanese, and Norwegian
  Developer-visible changes:
  * fixed: ra_serf fails checkout if access to repos root is forbidden (r23846)
  * fixed: svn_client_cat2() doesn't accept WORKING as a revision (r23556)
  * javahl bindings:
  - fixed: potential segfault in initialisation (r23383)
  - fixed: SVNClientSynchronized.logMessages() isn't synchronised (r23978)
  - fixed: SVNClient.info2() misreports itself as unlock in errors (r24219)
  * SWIG/perl bindings:
  - fixed: ra_do_{update,switch,status} don't work with Perl delta editors
    (r20667, r22311)
  * SWIG/python bindings:
  - fixed: memory leak whenever C APIs returned errors (r21453, r23468)
* Tue May 22 2007 olh@suse.de
- silence some lint warnings
  run ldconfig in subversion-perl/python post install
  remove development related files from subversion-tools
  do not rerference RPM_SOURCE_DIR
  no static linking anymore
* Thu May  3 2007 prusnak@suse.cz
- changed expat to libexpat-devel in Requires of devel subpackage
* Sat Apr 28 2007 olh@suse.de
- move cvs2svn and viewvc to separate specfile
* Sat Apr 28 2007 olh@suse.de
- add sysconfig settings for remote access (247372)
* Sat Apr 28 2007 olh@suse.de
- add an example to host svn on / to subversion.conf  (179404)
* Thu Mar 29 2007 olh@suse.de
- add /usr/share/emacs to filelist
* Sun Feb 25 2007 olh@suse.de
- update viewvc to 1.0.3
  * fix bug in path shown for Subversion deleted-under-copy items (issue #265)
  * minor documentation fixes
  * fix annotate assertions on uncanonicalized #include paths (issue #208)
  * make RSS URL method match the method used to generate it (issue #245)
  * fix Subversion annotation to run non-interactively, preventing hangs
  * fix bug in custom syntax highlighter fallback logic
  * fix bug in PHP CGI hack to avoid force-cgi-redirect errors
- update cvs2svn to 1.5.1
  New features:
  * Support multiproject conversions (each gets its own trunk, tags, branches).
  * New --options option to allow run-time options to be defined via a file.
  * --co, --cvs, and --sort options to specify the paths to executables.
  * Add new --fallback-encoding option.
  Bugs fixed:
  * Add missing import in cvs2svn_lib/process.py.
  * Fix issue #86: Support multiple project roots per repository.
  * Fix issue #104: Allow path to "sort" executable to be specified.
  * Fix issue #8: Allow multiple --encoding options.
  * Fix issue #109: Improve handling of fallback encodings.
  Improvements and output changes:
  * Further reduce conversion time and temporary space requirements.
  Miscellaneous:
  * Deprecate the --dump-only option (it is now implied by --dumpfile).
* Sat Feb 24 2007 olh@suse.de
- Version 1.4.3
  User-visible-changes:
  - Client:
  * fixed: crash using automatic auth protocols with Neon 0.26 (r22440, -61)
  * fixed: svn_load_dirs.pl cannot import file names containing '@' (r22203)
  * fixed: error when committing replaced directories (r22991, -8)
  * fixed: inability to change file perms due to existing file perms (r23018)
  * include newest version of svn-graph.pl (r22969)
  * install a manpage for svnsync (r21403)
  * translation updates for all languages
  * dramatically speed up commit of wc-to-wc copy (r21471)
  * fixed: support 'svn co URL@{DATE}' (issue #2602)
  * fixed: cannot access repositories with spaces via svn:// (issue #2612)
  * fixed: passing full URL in some DAV requests, breaking proxies (r21526)
  * fixed: history-tracing can fail for renamed directories (issue #2600)
  * fixed: crash if interrupted while opening a working copy (r21792)
  * fixed: 'svn merge' should notify about conflicted files (issue #2584)
  * fixed: 'svn revert' should notify about prop-only reverts (issue #2517)
  * fixed: 'svn status -u' not showing props changed on wc root (issue #2533)
  * fixed: 'svn status -u' fails in a read-only working copy (r21904, -19)
  * fixed: 'svn up' failing with checksum mismatch error (issue #2618)
  * fixed: 'svnsync sync' copying missing implicit revprops (issue #2613)
  * fixed: svnsync unable to synchronise copies of URL-unsafe paths (r22092)
  * svnshell tool: support "setrev head" (r20992)
  * include newest version of svnmerge.py
  - Server:
  * fixed: incorrectly reporting authz circular dependencies (issue #2684)
  * fixed: potential filesystem memory leak in commit finalisation (r22729)
  * FSFS: improve detection of disk write errors (r21346)
  * FSFS: prevent API violation from corrupting repository (issue #2467)
  * improved error checking when running hook scripts, etc (r21483)
  * mailer.py: new commit_url option links to web page for a commit (r21333)
  - Client and Server:
  * fixed: potential string corruption when resizing string buffers (r22689)
  * translation updates for Korean, Spanish, Italian, Simplified Chinese,
    and Japanese (fixing issues #2649 and #2681)
  Developer-visible-changes:
  * update (experimental) ra_serf repository access module for DAV (r22872)
  * fixed: svn_{ra,repos}_replay() doesn't send checksums (r22346, -51, -52)
  * fixed: error when calling svn_repos_replay2() with a txn root (r22609)
  * support current CVS versions of libtool (post-1.5.22) (r22120)
  * javahl bindings:
  - fixed: auth cache is created in the current directory (r22780)
  - fixed: SVNAdmin's setLog() method always fails (r22387)
  - fixed: target dependency order in generated build scripts (r22209)
  - compile Java bytecode for Java 1.2 VM (r21765, -7, r21814)
  - fixed: crash if using 1.4.x bindings with older libraries (r21316, -429)
  - fixed: crash when empty destination path passed to checkout (r21770)
  * SWIG/perl bindings:
  - fixed: ra_do_{update,switch,status} work with Perl delta editors (r22311)
  - fixed: memory leak when calling methods on a Perl commit editor (r22332)
  - fixed: ra_replay works with Perl delta editors (r20666)
  * SWIG/python bindings:
  - fixed: crash when using an apr_hash_t typemap (issue #2606)
* Thu Jan 25 2007 olh@suse.de
- add svnmerge.py to subversion-tools (236700)
* Sun Oct 29 2006 meissner@suse.de
- use RPM_OPT_FLAGS also for C++
* Thu Sep 28 2006 ro@suse.de
- use source=1.4 for java compilation
* Mon Sep 25 2006 olh@suse.de
- update cvs2svn to 1.4.0
  New features:
  * Support multicomponent --trunk, --tags, and --branches paths (issue #7).
  * New --auto-props option allows file properties to be set via file.
  * --force-branch and --force-tag options now accept regular expressions.
  * Add --symbol-default option.
  * Support multiple, ordered --encoding options.
  Bugs fixed:
  * Fix issue #93: Tags with forbidden characters converted to branches.
  * Fix issue #102: Branch file, deleted in CVS, is present in SVN.
  Improvements and output changes:
  * Print informative warning message if a required program is missing.
  * Output an error if any CVS filenames contain control characters.
  * Clean up temporary files even for pass-by-pass conversions.
  * Improve handling of commit dependencies and multibranch commits.
  * Implemented issue #50 (performance change).
  * Reduced the amount of temporary disk space needed during the conversion.
  Miscellaneous:
  * cvs2svn now requires Python version 2.2 or later.
  * cvs2svn has been broken up into many smaller python modules for clarity.
* Sat Sep 23 2006 olh@suse.de
- force javac 1.4 bytecode
* Thu Sep 21 2006 olh@suse.de
- rename viewcvs to viewvc, with no upgrade path for config files
- use the official viewvc-1.0.1 to get rid of the -dev string
  add patches for https and path handling from 1.0.x branch
* Thu Sep 21 2006 olh@suse.de
- fix build when java is unavailable
* Thu Sep 21 2006 olh@suse.de
- update cvs2svn filelist for python 2.5
* Fri Sep 15 2006 poeml@suse.de
- remove unused pcre-devel and redundant libapr-util1-devel from
  BuildRequires
* Wed Sep 13 2006 olh@suse.de
- Version 1.4.0
  User-visible-changes:
  - Client:
  * new 'svnsync' commandline tool for repository replication
  * numerous working copy improvements (WARNING! upgrades to new format!):
  - improved performance when detecting modified files (r18628 -56)
  - new property storage is faster and uses less disk space (r17583)
  - internal wcprops take up less space (r19433 -37)
  - large file commit speedups (r17861 -73 18867 -918 -29 -44 -45 -48 -49)
  - reduce memory usage for large working copies (r19183 -538)
  - increased working copy stability with merge, copy and move:
    (fixes issues #845, #1516, #1553, #2135, #2144, #2148)
  * new switches added:
  - 'svn blame --force' (issue #2509)
  - 'svn diff/merge -c/--change' (r17054 -6 -68 18568 -741)
  - 'svn diff --summarize' (issue #2015)
  - 'svn merge/blame -x' (r18716 -20) (r18602 -857)
  * 'svn log' now supports peg revisions (issue #2287)
  * 'svn export' now creates intermediate directories if needed (r20030)
  * use switch/relocate when svn:externals updated (issue #2209)
  * internal diff can ignore whitespace and eol style changes (issue #2121)
  * conflict markers now match the file's eol style (issue #1325)
  * new svn2cl, svn-viewdiff and svn-resolve contrib scripts
  * numerous improvements to svnmerge.py, vc-svn and psvn
  * translation updates for all languages
  * fixed: 'svn ls' slow over ra_dav (issue #2151)
  * fixed: 'svn import' not handling eol-style correctly (issue #2433)
  * fixed: 'svn blame' should default operative rev range to peg rev (r18400)
  * fixed: 'svn blame' ignores eol-style (issue #2431)
  * fixed: 'svn checkout' should default operative rev to peg rev (r18422)
  * fixed: 'svn diff' supports all eol styles (r17624 -8 -61 18195 -392)
  * fixed: 'svn diff' multi-target memory leak (r17518)
  * fixed: 'svn merge' showing wrong status with external diff3 (issue #1914)
  * fixed: 'svn merge' not merging added dir into deleted dir (issue #2515)
  * fixed: 'svn rm' of non-existent item should fail (issue #2440)
  * fixed: 'svn status' should skip unversioned files (issue #2030)
  * fixed: 'svn status' shows added and conflicted files as added (r20382)
  * fixed: 'svn switch --relocate' may set wrong repos root (r17031)
  * fixed: 'svn switch --relocate' memory leak (r19535)
  * fixed: 'svn switch --relocate' not caching passwords (issue #2360)
  * fixed: 'svn info' not showing locks sometimes (r19777)
  * fixed: incorrect merge of add of binary file already in WC (issue #2403)
  * fixed: possible dataloss if editing immediately after merge (r20609 -12)
  * fixed: lots of diff wc<->repos bugs
  * fixed: unfriendly error message on propget on nonexistent path (r19399)
  * fixed: spurious revert report after manual conflict removal (issue #2517)
  * fixed: don't allow -rPREV on schedule add path (issue #2315)
  * fixed: keywords with dollar signs cause badness (issue #1780)
  * fixed: really revert file with locally modified keywords (issue #1663)
  * fixed: deleting schedule add file leaves working props file (issue #2419)
  * fixed: svn:needs-lock and read-only-ness not always in sync (issue #2306)
  * fixed: post-commit error output not sent to the client (issue #443)
  * fixed: not locked error on commit of switched path (issue #2353)
  * fixed: svn_apply_autoprops.py should trim whitespace from props (r20790)
  * fixed: show locking notifications in local path style (r20927)
  * fixed: encoding error on error messages from invalid options (r20883)
  - Server:
  * support for new 'svnsync' repository mirroring utility
  * support for BDB 4.4, including automatic recovery (issue #2449)
  * new contrib hook scripts:
  - enforcer
  - detect-merge-conflict.sh
  - case-insensitive.py
  * new tools script svn-backup-dumps.py
  * new tools hook script log-police.py
  * svnserve improvements:
  - new option --pid-file (r17836)
  - allow the password database to be read-only (r16840)
  * mod_dav_svn improvements:
  - fixed: error conversion crash (r19516)
  - fixed: unfriendly error when locking already locked path (issue #2275)
  - fixed: xml escaping bugs (r19760 -85 -86)
  * authorization improvements:
  - new mod_dontdothat apache module (r19531)
  - new mod_authz_svn directive AuthzSVNNoAuthWhenAnonymousAllowed (r18680)
  - error out when authz rules contain unexpected characters (r19471)
  * lots of improvements to mailer.py and commit-email.pl
  * FSFS back-end performance improvements (r17125 19119 -456 -58 -59)
  * fixed: 'svnadmin verify' output not in native encoding (issue #1997)
  * fixed: uuid file in FSFS could be destroyed on write error (issue #2193)
  * fixed: FSFS path encoding bug (r17774)
  * fixed: don't crash on corrupt repositories (r17625)
  * fixed: expect error output from hook scripts in native encoding (r17101)
  * fixed: catch errors starting hook scripts (r16891 17041 -81)
  * fixed: svnserve and authz can cause broken WCs (issue #2566)
  * fixed: the default hook script templates should be vanilla sh (r20796)
  - Both:
  * delta compression improvements:
  - new delta encoding reduces size (r18363 -94 -66 -78 -98 -99 -457 -950)
  - xdelta algorithm speed improvements (r18986, 19047)
  * don't bail on invalid locale (r19445)
  * improve speed of non-verbose svn ls (r17067 -71)
  * fixed: delta combiner reading past EOF (r17743)
  Developer-visible-changes:
  * require APR >= 0.9.7 to improve error detection for FSFS repos (r19915)
  * require zlib, for svndiff1 delta encoding (r18363)
  * support SWIG 1.3.29 (r19968)
  * support autoconf 2.60-dev (r19919 20632 -36)
  * numerous improvements to gen-make.py build system, especially on win32
  * new public APIs:
  - keyword and eol translation helpers and generic streams (see svn_subst.h)
  - new generic stream helpers (see svn_io.h)
  - authentication providers made available to other clients (see svn_auth.h)
  - svn_cmdline_setup_auth_baton
  - svn_dso_initialize, svn_dso_load
  - svn_client_diff_summarize and svn_client_diff_summarize_peg
  - svn_client_list
  - svn_config_has_section
  - svn_txdelta_compose_windows and svn_txdelta_apply_instructions
  - svn_txdelta_stream_create
  - svn_diff_file_options_create and svn_diff_file_options_parse
  - svn_err_best_message
  - svn_compat_wrap_commit_callback
  - svn_uuid_generate
  - svn_user_get_name and svn_user_get_homedir
  - svn_io_get_dir_filenames
  - svn_ra_reparent
  - svn_ra_replay
  - svn_wc_revision_status
  - several rev'd APIs, see doxygen docs
  * flush stdout after each status/notification line (r19476 -656)
  * new (experimental) ra_serf repository access module for pipelined DAV
  * .svn/entries use a less verbose non-xml format (r19420)
  * make recursive 'svn ls' streamy (issue #1809)
  * remove svn-config script
  * empty-file and README.txt removed from WC admin areas (r17181 -268 -364)
  * replace cmdline client XML DTDs with RNG schemas (r16379 -80 -93 -571 17248)
  * fixed: log --limit against old svnserve leaves unusable session (r19638)
  * fixed: blame of WORKING revision shouldn't give BASE (r19558)
  * fixed: svn_client_copy and _move should fail if target exists (issue #2188)
  * fixed: svn_io_file_rename and readonlyness on Windows and UNIX (r17366 -69)
  * fixed: ra_dav memory leak when reusing session (issue #2247)
  * fixed: various problems with --enable-dso and global pools (r20996, r20999)
  * SWIG bindings:
  - SWIG/python bindings:
  - new support for svn_client_info (r19413)
  - SWIG/perl bindings:
  - new support for svn_client_info (r18758)
  - minor corrections to SVN::Fs (r19312)
  * javahl bindings:
  - APIs to get version info for the native libraries  (r17604 -07)
  - API for path validation (r18989, r19079)
  - C++/Java code refactoring, cleanup, and consolidation
  - fixed: handle possible errors from date/time conversions (r17213)
  - fixed: SVNClient username/password JVM crash on null input (r19803 -13)
  - fixed: specify default UUID load action (r18030)
* Sun Jul 23 2006 olh@suse.de
- tolerate neon 0.24.4 and 0.26.*
* Wed Jul 19 2006 olh@suse.de
- quick fix to try also an ipv4 connect if ipv6 fails (#193350)
* Sat Jul 15 2006 olh@suse.de
- update cvs2svn to 1.3.1
- update viewcvs to 1.0.x branch
  * fix exception on log page when use_pagesize is enabled
  * fix an XHTML validation bug in the footer template (issue #239)
  * fix handling of single-component CVS revision numbers (issue #237)
  * fix bug in download-as-text URL link generation (issue #241)
  * fix query.cgi bug, missing 'rss_href' template data item (issue #249)
  * no longer omit empty Subversion directories from tarballs (issue #250)
- update to 1.3.2 (#181701)
  User-visible-changes:
  - Client:
  * fixed: crash in svn st -u on missing subdirs (r19348, -73, issue #2551)
  * svn_load_dirs.pl symlink support (issue #2478)
  * fixed: svn_load_dirs.pl trying to import .svn and _svn dirs (r18549)
  * fixed: leaving stray WC locks on cancellation (r18893)
  - Server:
  * fixed: memory leak in mod_dav_svn when listing large dirs (r19528)
  * fixed: svnserve protocol error in lock, causing client hang (issue #2548)
  * fixed: mod_dav_svn crash on valid request (r19520)
  * mailer.py: add Content-Transfer-Encoding header (r19319)
  * mailer.py: fixed: named substitutions incorrectly ignored (r18114, -681)
  * fixed: authz requires read access for root for writes (issue #2486)
* Mon Jun 12 2006 poeml@suse.de
- fix build on SUSE Linux 9.3 to 10.1 and SLES9
- remove X11 libs from BuildRequires -- they don't seem to be
  required at all
* Sun Jun 11 2006 olh@suse.de
- update subversion.viewcvs.conf
  viewcvs was renamed to viewvc, all files were renamed
* Mon May  8 2006 olh@suse.de
- update viewcvs to final release version 1.0.0
- update to 1.3.1
  User-visible-changes:
  - Client:
  * fixed: segfault moving unversioned files (issue #2436)
  * fixed: verbose list broken over ra_dav (issue #2442)
  * fixed: 'svn ci -m path_name' not requiring '--force-log' (r17956)
  * fixed: crash on mixed-case https URL scheme (r18042)
  * fixed: crash in status with ignored directories (r18291)
  * fixed: strip peg rev from default checkout directory (r18416)
  * fixed: diff crash with non-recursive checkout (r17231, 18539, -41)
  * fixed: 'svn ls' URL encoding bug with locks (r18665, -68)
  * fixed: unlock circumvents lock token check (r18691, -94)
  * fixed: repos-to-repos copy crash (r18451)
  * fixed: 'svnmerge' utility improvements (r18811)
  - Server:
  * fixed: set svn:date at the end of commit in fsfs (r18078)
  * fixed: don't wait for hook script background jobs (r18146)
  * fixed: mod_dav_svn should log the whole error chain (r18211)
  * fixed: uncomment section headers in repos config files (r18247, -50)
  * fixed: log scalability issues with many paths (r18395, -404)
  * fixed: better path input validation in mod_dav_svn (r18660)
  * fixed: assert in copy in fsfs and bdb (issue #2398)
  Developer-visible-changes:
  * fixed: missing #include (r18065)
  * fixed: error leaks (18196, -249)
  * python bindings: libsvn_swig_py link problem on Solaris 10 (r17910)
  * python bindings: pool lifetime bug (r17992)
  * python bindings: memory leak (r18230)
  * python bindings: race condition during application pool initialization (r18721)
* Wed Apr 12 2006 olh@suse.de
- add svn_load_dirs.pl to subversion-tools package
* Tue Apr  4 2006 olh@suse.de
- add svn-config to subversion-devel package (#163289)
* Fri Mar 10 2006 poeml@suse.de
- fix instructions in README.SuSE
* Sun Mar  5 2006 olh@suse.de
- pass prefix=/usr to cvs2svn install (#149809)
- update viewcvs to todays status
  Improve error reporting when svn blame fails.
  Fix mismatch between config.py and config file for php
  Allow CVS roots to be specified as root_parent directories
  Rename the "Project Root" drop down box to "Repository" in the default templates.
  Fix issue 204, 'Invalid "Repository Listing" location'
  Make EZT library support python iterators
  Add rudimentary support for intraline diffs.
  Implement trac-style unified diffs
  Fix HTML escaping in new unified diff view
  Fix issue #205 "Illegal id tags in tempates"
  Call update() with the proper argument.
  Avoid creating references to undefined "vc_idiff_" class.
  Fixup <br> tags (to <br />).
  Finish issue #212 -- XHTMLify the highlight integration.
  Finish issue #210.  Handle requests for [rootname]-root.tar.gz
  Finish issue #174 -- markup view of HEAD shows HEAD metadata
  Finish issue #178 -- remove references to symbolic revisions in instructions for Subversion diffs.
  Use <em> instead of <i>, <strong> instead of <b>.
  Fix a bug which caused 404's for revision views of the default repository when root_as_url_component is disabled.
  Restore highlight "line-number-start" option.
  set 'commits.log' template var instead of 'commits.desc'
  Make vhost configuration work under mod_python.
* Mon Feb 27 2006 olh@suse.de
- fix viewcvs buglink patch
* Mon Feb 27 2006 olh@suse.de
- update viewcvs to todays status
  correct subversion.viewcvs.conf defaults for mod_python
  fix the python exceptions in viewcvs
* Sun Feb 26 2006 olh@suse.de
- add build dependency handling for swig bindings
* Thu Feb 23 2006 olh@suse.de
- update viewcvs to todays status
  remove Requires: swig (#153013)
  Require libapr-util1-devel libapr1-devel python-devel openldap2-devel
  cvs2svn requires svnadmin from subversion
* Sun Jan 29 2006 olh@suse.de
- update viewcvs to todays status
  update cvs2svn to current svn status
  update viewcvs bugurl patch
  build with -fstack-protector
  disable java on ppc
* Mon Jan 23 2006 olh@suse.de
- update de and nb po files for subversion
  update viewcvs to todays status
  update cvs2svn to current svn status
* Tue Jan 10 2006 olh@suse.de
- fix CFLAGS usage in specfile
  update viewcvs to todays status
  update cvs2svn to current svn status
* Mon Jan  2 2006 dmueller@suse.de
- build against apache 2.2.x
* Sun Jan  1 2006 olh@suse.de
- update viewcvs to todays status
- update to 1.3.0
  User-visible-changes:
  - Client:
  * 'svn ls -v' now shows remote locks (issue #2291)
  * 'svn status' speedup (r15061, r15103)
  * 'svn blame' speedup on files with long history (issue #1970)
  * 'svnversion' now assumes default argument of '.' (r14892)
  * support for neon 0.25.x, which fixes http:// control-c bug (issue #2297)
  * support for more ISO-8601 date formats, compatible with GNU date (r14428)
  * support for single-digit date components (r15459)
  * working copy size with empty propfiles reduced (r16855, see releasenotes)
  * new switches added:
  - 'svn blame --xml [--incremental]' (r14690)
  - 'svn status --xml [--incremental]'  (issue #2069)
  - 'svn info --xml [--incremental]'
  - 'svn add/import --no-ignore'  (issue #2105)
  - 'svnlook tree --full-paths'  (r13976)
  - 'svnlook diff --diff-copy-from'  (r14855)
  - 'svnlook changed --copy-info' (r16681)
  * fixed: 'svn copy wc URL' might include deleted items (issue #2153)
  * fixed: 'svn copy wc wc' allows cross-repository copies (issue #2404)
  * fixed: 'svn up/merge' major property-merging bugs (issue #2035)
  * fixed: 'svn merge' insisting on write access to '.' (issue #2411)
  * fixed: 'svn merge' cross-device move problems (r16293, -329, -330)
  * fixed: 'svn diff' outputs headers in wrong encoding (issue #1533)
  * fixed: 'svn proplist/add/cat' dies on unversioned items (issue #2030)
  * fixed: 'svn add' not honoring svn:ignore property (issue #2243)
  * fixed: 'svn log -rN:M --limit X' error over http:// (issue #2396)
  * fixed: 'svn switch --relocate' failure on 'deleted' dir (r16673)
  * fixed: 'svn info' not always showing repos lock (issue #2276)
  * fixed: 'svn info' might show lock on wrong path (r16626)
  * fixed: 'svnlook' chokes on logs with inconsistent newlines (r14573)
  * fixed: 'svnlook propget --revprop -t' failure (r15203)
  * fixed: 'svnversion' wrongly traverses into externals (r15161)
  * fixed: incorrect URI encoding passed to svn+ssh:// (issue #2406)
  * fixed: properly handle filenames containing '@' (issue #2317)
  * fixed: '--non-interactive' now suppresses launch of $EDITOR (r15277)
  * fixed: conflict markers not in current encoding (r14621)
  * fixed: commands ignoring extraneous -m or -F switches (issue #2285)
  * fixed: poor error-checking when using revprops (r15542)
  * fixed: stack-smashing bugs (r15948, r16037)
  * fixed: incorrect parsing of mod_dav_svn XML responses (r17589)
  * translation updates for all languages
  - Server:
  * svnserve improvements:
  - can now restrict read/write access by path (see releasenotes)
  - undeprecation of the --read-only (-R) option (r17614)
  * mod_dav_svn improvements:
  - 'SVNListParentPath on' shows all repositories in web browser (r16158)
  - ability to log high-level client operations (see releasenotes)
  - sets svn:mime-type on autoversioning commits (r14359)
  * 'svn log' performance improvement (r14722)
  * fixed: fs history algorithm might return wrong objects (issue #1970)
  * fixed: repos deadlock when hooks output too much (issue #2078)
  * fixed: mod_dav_svn displays errors with sensitive paths (r14792)
  * fixed: anonymous reader could create empty commits (issue #2388)
  * fixed: possible segfault to callers of trace_node_locations() (r16188)
  * fixed: BDB-style locking actions on FSFS repositories (r16295, r16297)
  * fixed: numerous bugs running BDB commands on FSFS (issue #2361, r16388)
  * fixed: svndumpfilter incorrectly remapping dropped revs (issue #1911)
  - Both:
  * faster multiple (un)locks in a single svn:// request (issue #2264)
  * the Subversion Book is no longer bundled (r17466)
  Developer-visible-changes:
  * working copy is now storing repos_root as separate field (issue #960)
  * keywords are now stored in an internal hash (issue #890)
  * client status APIs now makes more server-side info available (r16344)
  * new public APIs:
  - new transfer progress callback for DAV (r15948)
  - svn_ra_initialize(), svn_client_open_ra_session()
  - svn_fs_closest_copy(), svn_fs_type()
  - several rev'd APIs, see doxygen docs
  * SWIG bindings: No more compile-time or runtime SWIG dependencies
  - SWIG/python bindings:
  - automatic memory management: APIs no longer require pool arguments!
  - improved stability, as shown by our new testsuite
  - better error messages
  - SWIG/ruby bindings:
  - complete API coverage!
  - automatic memory management
  - greatly expanded test suite
  - SWIG/perl bindings:
  - new accessors for svn_lock_t, svn_fs_access_t
  - a number of bugfixes
  * javahl bindings:
  - add streamy API for fetching file contents (r15584)
  - fixed: let tests run before bindings are installed (issue #2040)
  - fixed: lock command not raising errors properly (issue #2394)
  - fixed: ignored errors from svn_client_blame2() (r16434)
* Wed Dec 21 2005 olh@suse.de
- update svn to current svn-1.3.x branch
  update cvs2svn to current svn status
  update viewcvs to todays status
* Fri Dec  9 2005 olh@suse.de
- update svn to current svn-1.3.x branch
  update cvs2svn to current svn status
  update viewcvs to todays status, adapt a few path names
  remove libapr0 from nfb, comes from apache2-devel-packages
  update svndiff script to pass more options to svn
* Sat Dec  3 2005 olh@suse.de
- clear LD_RUN_PATH in perl bindings
  allow building with older distributions, requires swig > 1.3.21
* Sat Dec  3 2005 olh@suse.de
- update svn to current svn-1.3.x branch
  update cvs2svn to current svn status
  update svndiff script to take $rev and r$rev as arguments
* Fri Nov 25 2005 olh@suse.de
- update svn to current svn-1.3.x branch
  update cvs2svn to current svn status
  update viewcvs to todays status, it is now viewvc
* Tue Nov  8 2005 olh@suse.de
- update svngrep to ignore quilt metadata
* Tue Nov  8 2005 olh@suse.de
- update svn to current svn-1.3.x branch
  update cvs2svn to current svn status
  update viewcvs to todays status
* Tue Nov  8 2005 olh@suse.de
- remove old extra po and pt_BR locale files
* Sun Oct 30 2005 olh@suse.de
- update to 1.3.0rc2
  update cvs2svn to current svn status
  build bindings parallel
* Fri Oct 28 2005 olh@suse.de
- update to 1.3.0rc1
* Thu Oct 27 2005 olh@suse.de
- move subversion-doc to a noarch package
  update cvs2svn to current svn status
  update viewcvs to todays status
* Wed Sep 21 2005 olh@suse.de
- cvs2svn requires /usr/bin/co  (#118017)
* Fri Aug 26 2005 olh@suse.de
- update viewcvs, more permission fixes
- update svnbook
- update po and pt_BR locale file
- update to 1.2.3
  User-visible-changes:
  - Client:
  * fixed: 'svn status -u' fails against pre-1.2 mod_dav_svn (r15359, r15423)
  * fixed: 'svn export' segfault (r15516)
  * fixed: 'svn merge' memory leak (r15233)
  * fixed: horrible rename-tracing performance against 1.0 servers (r15315)
  * fixed: 'svn cat' over file:// -- small leak  (r15253)
  * fixed: crash with "svn lock" and authentication (r15703)
  * improvements to 'svnmerge' utility (r14008,-458,-587,-632, r15329,-340)
  * translation updates for French, German, Polish, Norwegian, Swedish,
    Korean
  - Server:
  * fixed: mod_authz_svn being overly restrictive (r15463)
  * fixed: fsfs directory caching bug (r15705, r15742)
  - Both:
  * fixed: crash when >50 options passed to any commandline app (r15251)
  * fixed: memory leak in character translation handle caching (r15379,-398)
  Developer-visible-changes:
  * fixed: crash when calling svn_client_(un)lock with no targets (r15734)
  * missing #include in SWIG bindings (r15683)
  * javahl bindings:
  - fixed: JNI library loading bug (r15552)
  - fixed: JNI stack-name cut and paste error (r15337)
  - fixed: crash when revisions have no dates (r15737)
  * perl bindings:
  - now compatible with SWIG 1.3.25 (r15248)
  - allow SVN::Pool to be used as pool parameter (r15450)
  - make SVN::Delta::Editor friendlier for debugging (r15609)
  - fixed: wrap svn_ra_stat properly (r15713)
  - fixed: bug in SVN::Core::Stream's read function (r15698, r15700)
  * ruby bindings:
  - now compatible with SWIG 1.3.25 (r14980, r15361)
* Fri Aug 19 2005 olh@suse.de
- hide SVN_VIEWCVS_MODPYTHON section in IfModule mod_python.c
  update viewcvs, more permission fixes
  update svnbook
* Tue Aug  2 2005 olh@suse.de
- provide libsvnjavahl-1.so in main svn package, for subclipse
- update svnbook
* Tue Jul 12 2005 olh@suse.de
- remove --silent from libtool calls
  all object files are compiled with the same CFLAGS
  - fpie cant be used for shared objects, pass -fno-pie to libtool
  as a quick hack
- update svnbook
* Tue Jul 12 2005 poeml@suse.de
- double check that all repository access schemes are compiled
* Sun Jul  3 2005 olh@suse.de
- update svnbook
- build with expat instead of libxml2 (#94606)
- update buildrequires for subversion-devel
- update to 1.2.1
  User-visible-changes:
  - Client:
  * fixed: 'svn lock' on switched file locks wrong thing (issue #2307)
  * fixed: 'svn (un)lock' errors on multiple targets (r14736, 14775)
  * fixed: 'svn (un)lock' problems with URI-unsafe names (issue #2314)
  * fixed: 'svn (un)lock' not caching authentication (r15088)
  * fixed: 'svn unlock' loses executable bit (r14859, r14923, r14939)
  * fixed: 'svn unlock URL' segfault (r14893)
  * fixed: 'svn commit' failure on XML-unsafe locked paths (issue #2335)
  * fixed:  recursive directory copy bug (issue #2343)
  * fixed:  don't initialize RA library in 'svnversion' (r14755)
  * various translation updates for localized client messages
  - Server:
  * fixed: 'svn log' performance regression, general (r14116, 14772, 14759)
  * fixed: 'svn log -v' performance regression, FSFS-specific (r15016)
  * fixed: mod_dav_svn bug sets content-type incorrectly (r15046)
  Developer-visible-changes:
  * fixed:  OBOE with 'limit' parameter of svn_repos_get_logs3(). (r15119)
  * perl bindings:
  - accessors for svn_lock_t (r15082)
  - call utf_initialize, adjust global pool usage (r15076, r15080,
    r15081, r15117)
* Thu Jun 16 2005 olh@suse.de
- update svnbook, add -fpie to CFLAGS, -pie to LDFLAGS
* Thu May 26 2005 olh@suse.de
- Fix svn-push, which was segfaulting all the time
* Thu May 26 2005 olh@suse.de
- add simple svndiff to operate on a single commit, update svnbook
* Mon May 23 2005 olh@suse.de
- switch to 1.2.0 tag, add cvs2svn faq, update svnbook
* Sat May 21 2005 olh@suse.de
- update to 1.2.0
  User-visible-changes:
  - Client:
  * add peg-rev syntax to co/blame/cat/ls/pget/plist/export (issue #1093)
  * 'svn info' now works on URLs (r13123, 13144)
  * 'svn* --version' now shows available repository back-ends (r13761)
  * new fixed-length keywords (for placement in binary files) (issue #2095)
  * performance improvements:
  - 'svn status' does much less disk parsing (r11677, 11704)
  - 'svn st -u' no longer asks server to generate textdeltas (issue #2259)
  - 'svn revert -R' doing much less work (r13883)
  - utf8<->native conversions are faster now (issue #2016)
  * new switches added:
  - 'svn log --limit N'               - show only first N log messages
  - 'svn info --revision'             - show info on older object (r13265)
  - 'svn list --xml'                  - output listing in XML
  - 'svn propset --force'             - allow unusual propsets (#2065)
  - 'svn diff --force'                - show diffs on binary files (#2099)
  - 'svn co/up/st --ignore-externals' - skip over externals (#2189)
  - 'svn export --non-recursive'      - don't export subdirs (issue #2228)
  - 'svnversion --help'               - show help (r13128)
  * fixed: 'svn merge' fails to add symlinks or expand keywords (issue #2064)
  * fixed: 'svn merge --dry-run' shows spurious 'skip' messages (issue #1943)
  * fixed: 'svn merge' file-not-found' error (issue #1673)
  * fixed: 'svn merge' of propchanges into deleted file (issue #2132)
  * fixed: 'svn merge' on implicit target with space (r13010)
  * fixed: 'svn merge/diff URL URL' can cause httpd timeout (issue #2048)
  * fixed: 'svn switch/update' failure might corrupt wc (issue #1825)
  * fixed: 'svn up' should rm before add, helps case-insensitivity (r12616)
  * fixed: 'svn up -rX' causes file to be unrestorable (issue #2250)
  * fixed: 'svn copy wc wc' should keep .svn/ hidden (issue #1739)
  * fixed: 'svn copy wc wc' of deleted=true doesn't delete (issue #2101)
  * fixed: 'svn copy' shouldn't copy into schedule-delete area (issue #2020)
  * fixed: 'svn copy dir dir' infinite recursion (issue #2224)
  * fixed: 'svn log' throws error on unversioned target (issue #1551)
  * fixed: 'svn log' in r0 working copy shows r1 log msg (issue #1950)
  * fixed: 'svn export' bugs on deleted dirs or nonexistents (#2226, r13226)
  * fixed: 'svn export' on single file from working copy (issue #1708)
  * fixed: 'svn import' creating an empty revision (r14293)
  * fixed: 'svn commit' ignores --encoding when editing externally (#2244)
  * fixed: 'svn commit' log message lost if utf8-conversion failure (r13230)
  * fixed: 'svn diff' output encoding bug (r11461)
  * fixed: 'svn diff' showing prop-diffs on repos root dir (r13381-2)
  * fixed: 'svn diff' label reversal (issue #2033)
  * fixed: 'svn propget' prints extra newline in --strict mode (r14505)
  * fixed: 'svn propset' should skip unversioned files (#2030)
  * fixed: 'svn rm URL1 URL2 URL3...' huge memory usage (issue #2218)
  * fixed: 'svn mkdir' cleanup after failure (r11883)
  * fixed: 'svn status -u' crash in non-recursive wc's (issue #2122)
  * fixed: 'svn revert' should skip unversioned items (issues #2030, 2133)
  * fixed: 'svn revert' should suggest --recursive (issue #2114)
  * fixed: 'svn add/import' better detects invalid paths (issue #1954)
  * fixed: 'svn cleanup' should repair timestamps (r12012)
  * fixed: 'svn cat -rBASE' contacts repository (issue #1361)
  * fixed: fuzzily escape control-characters when sending over dav (#2147)
  * fixed: prevent client from manipulating svn:wc:* properties (r12523)
  * fixed: xml-escaping bugs over dav (r11090)
  * fixed: store symlinks as utf8, always work in non-utf8 locale (r11358-9)
  * fixed: bug in special-file detranslation (r11441)
  * fixed: show paths in local-style where we weren't (issue #1538)
  * fixed: detect invalid propnames better (issue #1832)
  * fixed: entire error stack not being printed (issue #1822)
  * fixed: improper utf8 conversion of revision strings (issue #1999)
  * fixed: use-commit-times timestamp bug (r12906)
  * fixed: don't comment out section-names in default config file (r11771)
  * more support for user-cancellation (r13083-4, 13086)
  * improved error messages (r12920, 11392, 11599, 11913, #2154, #2214)
  - Server:
  * mod_dav_svn autoversioning feature now complete (see release notes)
  * 'svnadmin create' now creates FSFS repositories by default (r13624)
  * new pre/post-revprop hook argument to describe propchange (r12162)
  * mod_authz_svn groups can now contain other groups (issue #2085)
  * 'svnadmin recover' now creates default svnserve passwd file (r11589)
  * increase default BDB cache size in DB_CONFIG (r13030)
  * new switches added:
  - 'svnlook diff --no-diff-added'        - suppress added files (#2180)
  - 'svnlook propget/proplist --revprop'  - show revision props (#2181)
  - 'svnadmin load --use-pre-commit-hook'
    'svnadmin load --use-post-commit-hook'- invoke hooks when loading
  * fixed: FSFS race condition on posix platforms (issue #2265)
  * fixed: change FSFS revprops atomically and safely (issue #2193)
  * fixed: FSFS should verify checksums (issue #2253)
  * fixed: 'svnadmin create' should clean up when it fails (r13200)
  * fixed: 'svnadmin load' compatibility on pre-0.14 dumpfiles (r12075)
  * fixed: 'svnadmin load' crashes on contentful rev 0 (issue #1674)
  * fixed: 'svnadmin dump' should write in console encoding (issue #1997)
  * fixed: check for null-streams in dump/load code (r10510)
  * fixed: hook script ignored when symlink is broken (issue #1700)
  * fixed: hook script may inherit server's stdin stream (r12155)
  * fixed: potential svnserve segfault (r13199)
  * fixed: svnserve handling mutually-exclusive options (issue #2251)
  * fixed: mod_authz_svn should log errors to httpd errorlog (issue #2182)
  * fixed: 'svnadmin hotcopy' failed to copy format files (r14678, r14683)
  - Both:
  * new 'locking' feature (issue #1478, see release notes for details):
  - new: 'svn lock/unlock', 'svnadmin lslocks/rmlocks', 'svnlook lock'
  - new: 'svn:needs-lock' property to enable communication
  - 'svn st [-u]' shows local or remote lock overview
  - 'svn info wc | URL'  shows local or remote lock details
  - 'svn commit' sends locks, 'svn up' removes stale locks
  - new hook scripts: pre-lock, pre-unlock, post-lock, post-unlock
  * speedups for 'svn blame' and other commands (see xdelta in release notes)
  * fixed: make both svnserve and svn:// urls work with IPv6 (r13235-6)
* Sun May  1 2005 olh@suse.de
- add a simple svngrep script to simplify grep -r in repositories
* Sun May  1 2005 olh@suse.de
- rcsvnserve had a hardcoded requirement for userid/groupid svn
  this is now tuneable via a sysconfig variable
* Sun May  1 2005 olh@suse.de
- update to docbook-xsl-1.68.1.tar.gz
- update to 1.1.4
  User-visible-changes:
  - Client:
  * fixed: 'svn merge' can cause broken working copy (issue #2222)
  * fixed: 'svn commit' fails when schedule-delete dir has local mod (r11980)
  * fixed: 'svn st -u nonexistent_file' segfault (issue #2127)
  * fixed: 'svn cp wc wc' utf8 conversion error (r13111)
  * fixed: confusing error message about "wc not locked" (issue #2174)
  - Server:
  * fixed: nasty (though unusual) performance bug in FSFS commits (r13222-3)
  * fixed: FSFS memory leak when auto-merging large tree (r13193)
  * fixed: FSFS memory leak in 'svnadmin hotcopy' (r13218, 13465, 13468)
  * fixed: FSFS segfault when encountering empty data reps (r13683)
  * fixed: two dataloss bugs in svndumpfilter (r12630, r12636)
  * fixed: wasteful memory usage in svndumpfilter (r12637, r12640)
  * fixed: mod_dav_svn segfaults when client sends bogus paths (issue #2199)
* Wed Apr 20 2005 ro@suse.de
- accept swig 1.3.24
* Tue Mar 29 2005 poeml@suse.de
- subversion-doc apache configuration: fix invalid mixing of +/-
  with non-+/- syntax in Options directive
* Fri Mar  4 2005 olh@suse.de
- restore old java checks
* Thu Mar  3 2005 olh@suse.de
- update cvs2svn to version 1.2.1, rev r1422
  * Fix cvs2svn's dumpfile output to work after Subversion's r12645.
  will also improve conversion speed
* Wed Feb 23 2005 olh@suse.de
- build swig-pl without make -jN to avoid broken dependencies
* Tue Feb 22 2005 ro@suse.de
- search also for "other" java on a biarch platform
* Sat Feb 19 2005 olh@suse.de
- use lib macro to find java package
* Wed Feb 16 2005 schwab@suse.de
- Don't override $EDITOR.
* Tue Feb 15 2005 uli@suse.de
- cope with jpackage-compliant IBMJava2 (fixes s390*)
* Sun Jan 23 2005 olh@suse.de
- set docroot=/viewcvs-docroot in viewcvs.conf
  handle SVN_VIEWCVS_MODPYTHON in apache2 subversion.viewcvs.conf
* Mon Jan 17 2005 olh@suse.de
- update to 1.1.3
- update viewcvs and cvs2svn to current cvs/svn status
* Sat Jan  8 2005 olh@suse.de
- update viewcvs, includes the DESTDIR patch
* Fri Jan  7 2005 olh@suse.de
- build java bindings
* Thu Jan  6 2005 olh@suse.de
- update to 1.1.2
  drop subversion-keywords_on_add.patch
  http://svnbook.red-bean.com/svnbook-1.1/ch07s02.html#svn-ch-7-sect-2.4
- add 2 security patches for viewcvs
  subversion.viewcvs.forbidden-hide_cvsroot_CAN-2004-0915.patch (#48989)
  subversion.viewcvs.escapeurl_CAN-2004-1062.patch (#49086)
- update to docbook-xsl-1.67.2.tar.gz
- update viewcvs and cvs2svn to current cvs/svn status
- rename subversion-cvs2svn to cvs2svn
- rename subversion-viewcvs to viewcvs
* Thu Oct 14 2004 olh@suse.de
- update to 1.0.9
  User-visible-changes:
  - Server:
  * fixed: 'svn ls' HTTP performance regression
  * fixed: 'svn log -v' hiding too much info on 'empty' revisions.
* Thu Oct 14 2004 ro@suse.de
- added libgcrypt, libgpg-error to neededforbuild
* Fri Sep 24 2004 olh@suse.de
- update to 1.0.8
  CAN-2004-0749: mod_authz_svn fails to protect metadata (#45610)
  Version 1.0.8
  User-visible-changes:
  * fixed: mod_authz_svn path and log-message metadata leaks.
  Version 1.0.7
  User-visible-changes:
  * fixed: 'svn st -u' crash (r10841)
  * fixed: potential repos corruption; ensure stdin/out/err always open
  * fixed: allow propnames containing ":" to be fetched via http://
  * fixed: allow user to interrupt between authentication prompts
  * fixed: work around +t directory-creation bug in APR
  * various small fixes to Book
  Developer-visible changes:
  * fix library dependencies for bindings
  * perl bindings: various fixes
* Wed Sep  1 2004 olh@suse.de
- add psvn.el
* Fri Aug 27 2004 olh@suse.de
- update cvs2svn to 1.0.0 status, rev 1368
  update viewcvs to todays status
* Mon Aug  9 2004 olh@suse.de
- update cvs2svn to 1.0rc4 status, rev 1322
  update viewcvs to todays status
  update to docbook-xsl-1.65.1.tar.gz
* Tue Aug  3 2004 olh@suse.de
- build perl bindings, allow make -jN
* Thu Jul 29 2004 poeml@suse.de
- fix path in README.SuSE
- fix fillup of /etc/sysconfig/svnserve
* Tue Jul 27 2004 olh@suse.de
- update to rev 10424 from 1.0.x branch, 1.0.6 status
* Tue Jul  6 2004 poeml@suse.de
- add subversion.viewcvs-buglink.patch from James Henstridge, plus
  re.I modifier to match case insensitively
* Tue Jul  6 2004 poeml@suse.de
- update cvs2svn to r1214
- update viewcvs to current CVS snapshot
* Mon Jul  5 2004 poeml@suse.de
- fix "select for diff" in viewcvs (patch by Heinrich
  Stamerjohanns)
* Mon Jun 14 2004 olh@suse.de
- update to rev 9955 from 1.0.x branch, 1.0.5 status
* Mon May 10 2004 olh@suse.de
- remove Requires: -<release> (#40278)
* Sun May  9 2004 olh@suse.de
- add subversion-1.0.1-exploit-old_timestamp_format.patch (#39774)
* Mon Apr 19 2004 olh@suse.de
- update to rev 9429 from 1.0.x branch, 1.0.2 status
* Mon Mar  8 2004 olh@suse.de
- update to rev 8925 from 1.0.x brancht, almost 1.0.1 status
* Thu Mar  4 2004 poeml@suse.de
- add patch for ViewCVS
  http://cvs.sourceforge.net/viewcvs.py/viewcvs/viewcvs/lib/ezt.py?r1=1.22&r2=1.23
* Mon Mar  1 2004 olh@suse.de
- update to rev 8871 from 1.0.x branch
* Sun Feb 22 2004 olh@suse.de
- update to 0.99.0 (1.0.0-beta1), from 1.0.x branch, rev 8806
* Sat Jan 24 2004 olh@suse.de
- update to 0.37.0 from 1.0-stabilization branch
  allow swig 1.3.21
* Mon Sep  8 2003 poeml@suse.de
- subversion-viewcvs: explicitely allow access to the
  /srv/viewcvs/www/cgi directory, because we can not take it for
  granted that apache2 allows it by default [#29729]
* Fri Aug 29 2003 poeml@suse.de
- README.SuSE: add documentation on file permissions; fold in
  feedback from Heinrich Stamerjohanns
* Fri Aug 29 2003 mcihar@suse.cz
- subversion-cvs2svn requires python
* Wed Aug 27 2003 olh@suse.de
- do not install the book.pdf
* Mon Aug 18 2003 olh@suse.de
- update to 0.27.0, revision 6740
  update viewcvs to todays cvs status
* Sun Aug 10 2003 olh@suse.de
- update to pre 0.27, revision 6695
* Sun Aug 10 2003 olh@suse.de
- add rcsvnserve
  update hook template, svnlook is in /usr/bin
  update viewcvs to todays cvs status
* Wed Jul 30 2003 poeml@suse.de
- get CFLAGS from apxs, so they match the ones that apr and apache2
  were built with
- "make external-install local-install" targets instead of make
  install, to work avoid hard coded pulling of the revision number
  from the svn working copy in the revision-install target
* Fri Jul 25 2003 olh@suse.de
- update to 0.26.0, revision 6576
* Sun Jul 20 2003 olh@suse.de
- split packages subversion-doc and subversion-viewcvs
  use SVN_DOC instead of SVN_DOCU
  use SVN_VIEWCVS to enable the scriptalias
* Sat Jul 12 2003 olh@suse.de
- update to 0.25.0, revision 6456
  use SVN_DOCU to provide html documentation via apache2
* Sat Jul  5 2003 olh@suse.de
- add subversion-python_bytecode-path-pr1131.patch
  do not compile in RPM_BUILD_ROOT, use builddir instead
* Tue Jun 17 2003 olh@suse.de
- update to 0.24.1 final, revision 6254
  update svnbook.red-bean.com/book.pdf
* Tue Jun 17 2003 kukuk@suse.de
- Add missing directory to filelist
* Mon May 19 2003 olh@suse.de
- update to 0.23.0 final, revision 5981
  add subversion-infopages.patch
* Sat May 10 2003 olh@suse.de
- update to 0.22.1 final, revision 5877
  use apache-2.0.45 apr
* Fri May  2 2003 olh@suse.de
- update to 0.22.0 , revision 5780
  build with newer apr
* Fri Apr 11 2003 ro@suse.de
- fix deprecated head/tail calling syntax (-1)
* Wed Mar 19 2003 olh@suse.de
- update to 0.19.1 , revision 5394
* Sun Mar 16 2003 olh@suse.de
- update to 0.19.1 , revision 5349
  update book.pdf
* Tue Feb 18 2003 poeml@suse.de
- python might live below /usr/lib64
* Thu Feb 13 2003 olh@suse.de
- update to 0.17.1 , revision 4877
  finally a working cvs2svn version, use the cvs2svn-mmacek branch
* Mon Feb 10 2003 poeml@suse.de
- remove hints about SuSEconfig, it's not needed. Add README.SuSE
  about server configuration
- drop /etc/apache2/modules/subversion, it is no longer needed
- MPM specific links to mod_dav_svn.so are no longer needed
- server requires apache2, and a Require on apr is no longer valid
* Mon Feb 10 2003 olh@suse.de
- split packages cvs2svn and tools
* Thu Feb  6 2003 olh@suse.de
- add hint about SuSEconfig run in subversion.conf example
* Sun Feb  2 2003 olh@suse.de
- add subversion-0.17.1-editor.diff
    subversion-0.17.1-keywords_on_add.diff
* Tue Jan 28 2003 olh@suse.de
- add subversion book.pdf from the website
  add svnserve and svnversion
  remove outdated info docu
  build and add html documentation
  new apache2 config file format, extend example in subversion.conf
* Wed Jan 22 2003 olh@suse.de
- update to 0.17.1 , revision 4508
* Tue Jan 21 2003 olh@suse.de
- update to 0.17.0 , revision 4474
* Thu Dec  5 2002 poeml@suse.de
- update to 0.16.0 , revision 3987
- use macro <apache2-devel-packages> in #neededforbuild
- get rid of hardcoded MPM names
* Wed Dec  4 2002 olh@suse.de
- update to 0.15.0 , revision 3985
* Tue Nov 12 2002 ro@suse.de
- changed neededforbuild <xshared> to <x-devel-packages>
- changed neededforbuild <xdevel> to <>
* Sun Oct 13 2002 olh@suse.de
- update to 0.14.3 , revision 3360
  add subversion configfiles for apache2
* Sat Oct 12 2002 olh@suse.de
- update to 0.14.3 , revision 3353
  add more dir path to file list, add more docu
  apxs is in /usr/sbin
* Thu Sep 19 2002 olh@suse.de
- update to 0.14.3 , revision 3188
  use python-imaging instead of python-tkinter
* Sat Aug 31 2002 poeml@suse.de
- update to last release 0.14.2 (svn update was broken when
  repositories contained renames)
* Tue Aug 27 2002 poeml@suse.de
- use apxs2, building a common mod_dav_svn.so for all three MPMs
- don't let apxs add an entry for mod_dav_svn.so into httpd.conf
* Sun Aug 11 2002 olh@suse.de
- update to 0.14.1, rev 2935, build html docs
* Thu Aug  1 2002 olh@suse.de
- update to 2840, add svnadmin and svnlock
* Tue Jul 30 2002 olh@suse.de
- remove apr, use apache2 instead, update to 2787
* Fri Jul 26 2002 olh@suse.de
- initial SuSE release with version 0.14.0.2720
  built with apr_20020725163531 and apr-util-20020725
